[TOC]

**查询出场记录**

------------

| 请求URL                                       | 请求方式 |            请求类型            |
| --------------------------------------------- | :------: | :----------------------------: |
| `http://localhost:8888/api/Inquire/GetOutCar` |   POST   | Content-Type：application/json |

###### 请求参数

| 参数       | 类型   | 是必填 | 描述                                                    |
| ---------- | ------ | ------ | ------------------------------------------------------- |
| appid      | String | 是     | appid                                                   |
| parkkey    | String | 是     | 车场唯一编号                                            |
| version    | String | 是     | 版本号                                                  |
| timestamp  | String | 是     | 时间戳                                                  |
| sign       | String | 是     | 签名                                                    |
| data       | String | 是     |                                                         |
| —carNo     | String | 否     | 车牌号                                                  |
| —startTime | String | 是     | 查询开始时间yyyy-MM-dd HH:mm:ss                         |
| —endTime   | String | 是     | 查询结束时间yyyy-MM-dd HH:mm:ss                         |
| —indexId   | String | 否     | 1、查询第几页数据，默认0,1为第一页，2为第二页，以此类推 |
| —size      | String | 否     | 返回查询记录条数 可为空，默认20条，最大100条            |

###### 请求示例

```
{
    "parkkey":"1697016188182409",
    "version":"v1.0",
    "appid":"a1bqdrkb",
    "timestamp":"20221108105623",
    "sign":"8e5f9c21867f34cccb5543e4db854992",
    "data":"{\"carNo\":\"\",\"startTime\":\"2023-10-11 00:00:00\",\"endTime\":\"2023-10-11 23:59:59\",\"indexId\":\"0\",\"size\":\"20\"}"
}
```

###### 返回参数说明

| 参数               | 类型   | 是否必填 | 描述                                     |
| ------------------ | ------ | -------- | ---------------------------------------- |
| success            | bool   | 是       | 状态 （true-成功 false-失败）            |
| errcode            | int    | 是       | 状态码 （200-成功 500-失败）             |
| errmsg             | string | 是       | 返回信息                                 |
| id                 | String | 是       | 签名                                     |
| parkno             | String | 是       | 车场唯一标识                             |
| timestamp          | String | 是       | 时间戳                                   |
| sign               | String | 是       | 签名                                     |
| data               | String | 是       | 数据                                     |
| —indexId           | String | 是       | 索引ID                                   |
| —parkno            | String | 是       | 车场唯一编号                             |
| —orderNo           | String | 是       | 订单号                                   |
| —carNo             | String | 是       | 车牌号码                                 |
| —carTypeNo         | String | 是       | 车辆类型编号(更多类型说明请查看名词解析) |
| —enterTime         | String | 是       | 入场时间                                 |
| —enterGateName     | String | 是       | 入口车道名称                             |
| —enterOperatorName | String | 是       | 入口操作员                               |
| —lockCar           | String | 是       | 车辆状态（0-未锁 1-锁定）                |
| —enterImgPath      | String | 是       | 入场图片                                 |
| —outTime           | String | 是       | 出场时间                                 |
| —outGateName       | String | 是       | 出口车道名称                             |
| —outOperatorName   | String | 是       | 出口操作员                               |
| —outImgPath        | String | 是       | 出场图片                                 |
| —totalAmount       | String | 是       | 出场总金额                               |
| —freeReason        | String | 是       | 付费原因                                 |
| —parkAreaName      | String | 是       | 区域名称                                 |
| —carTypeName       | String | 是       | 车辆类型名称                             |
| —carCardTypeName   | String | 是       | 车牌类型名称                             |
| —isEpCar           | String | 是       | 是否是疫情区重点车辆(0-否，1-是)         |
| —remark            | String | 是       | 备注信息                                 |
| —totalRecord       | int    | 是       | 总条数                                   |

###### 返回示例

```
{
    "success":true,
    "errcode":200,
    "errmsg":"获取数据成功",
    "id":"bf79fcd3554c4a75b68a34098b3c8f66",
    "parkno":"1697016188182409",
    "timestamp":"1697008677",
    "sign":"242c61b9b82a80d6914c893282df11dc",
    "data":"[{\"indexId\":0,\"parkNo\":\"1697016188182409\",\"orderNo\":\"1697034988398922-A11111\",\"carNo\":\"粤A11111\",\"cardTypeNo\":\"1697016188209488\",\"enterTime\":\"2023-10-11 14:36:19\",\"enterGateName\":\"入口车道\",\"enterOperatorName\":\"超级管理员\",\"lockCar\":0,\"enterImgPath\":\"\",\"outTime\":\"2023-10-11 15:17:33\",\"outGateName\":\"出口车道\",\"outOperatorName\":\"超级管理员\",\"outImgPath\":\"\",\"totalAmount\":5.00,\"freeReason\":null,\"parkAreaName\":\"外场\",\"carTypeName\":\"蓝牌车\",\"carCardTypeName\":\"临时车A\",\"isEpCar\":0,\"remark\":\"\",\"totalRecord\":1}]"
}
```