[TOC]

**查询人工开闸记录**

------------


| 请求URL                                           | 请求方式 |            请求类型            |
| ------------------------------------------------- | :------: | :----------------------------: |
| `http://localhost:8888/api/Inquire/GetRecordList` |   POST   | Content-Type：application/json |

###### 请求参数

| 参数       | 类型   | 是必填 | 描述                                                    |
| ---------- | ------ | ------ | ------------------------------------------------------- |
| appid      | String | 是     | appid                                                   |
| parkkey    | String | 是     | 车场唯一编号                                            |
| version    | String | 是     | 版本号                                                  |
| timestamp  | String | 是     | 时间戳                                                  |
| sign       | String | 是     | 签名                                                    |
| data       | String | 是     |                                                         |
| —passwayNo | String | 是     | 车道号                                                  |
| —startTime | String | 是     | 查询开始时间yyyy-MM-dd HH:mm:ss                         |
| —endTime   | String | 是     | 查询结束时间yyyy-MM-dd HH:mm:ss                         |
| —indexId   | String |        | 1、查询第几页数据，默认0,1为第一页，2为第二页，以此类推 |
| —size      | String | 否     | 返回查询记录条数 可为空，默认20条，最大100条            |

###### 请求示例

```
{
    "parkkey":"1672411257693788",
    "version":"v1.0",
    "appid":"123456",
    "timestamp":"20221108105623",
    "sign":"d930bddebd6970bae5abe54a944d96cf",
    "data":"{"carNo":"","startTime":"2023-01-01 00:00:00","endTime":"2023-01-10 23:59:59","indexId":"0","size":"2"}"
}
```

###### 返回参数说明

| 参数                    | 类型                           | 是否必填 | 描述                          |
| ----------------------- | ------------------------------ | -------- | ----------------------------- |
| success                 | bool                           | 是       | 状态 （true-成功 false-失败） |
| errcode                 | int                            | 是       | 状态码 （200-成功 500-失败）  |
| errmsg                  | string                         | 是       | 错误信息                      |
| id                      | String                         | 是       | 签名                          |
| parkkey                 | String                         | 是       | 车场唯一标识                  |
| timestamp               | String                         | 是       | 时间戳                        |
| sign                    | String                         | 是       | 签名                          |
| data                    | String                         | 是       | 数据                          |
| —indexId                | String                         | 是       | 索引ID                        |
| —passRecord_No          | String                         | 是       | 记录编码                      |
| —passRecord_CarNo       | String                         | 是       | 车牌号                        |
| —passRecord_PasswayName | String                         | 是       | 通道名称                      |
| —passRecord_DeviceName  | String                         | 是       | 相机名称                      |
| —passRecord_PassTime    | String （yyyy-MM-dd HH:mm:ss） | 是       | 通行时间                      |
| —passRecord_Name        | String                         | 是       | 操作员名称                    |
| —passRecord_AddTime     | String（yyyy-MM-dd HH:mm:ss）  | 是       | 添加时间                      |
| —totalRecord            | int                            | 是       | 总条数                        |

###### 返回示例

```
{
    "success":true,
    "errcode":200,
    "errmsg":"获取数据成功",
    "id":"39a511be453949199077a9e9819f2f64",
    "parkno":"1672411257693788",
    "timestamp":"1673333238",
    "sign":"14abc3c12385419b34c7d11f3723c296",
    "data":"[{"indexId":"0","passRecord_No":"ER1673288245633360","passRecord_CarNo":null,"passRecord_PasswayName":"出口车道","passRecord_DeviceName":"出口相机","passRecord_PassTime":"2023-01-09 18:17:25","passRecord_Name":"超级管理员","passRecord_AddTime":"2023-01-09 18:17:25","totalRecord":7},{"indexId":"1","passRecord_No":"ER1673288231800135","passRecord_CarNo":null,"passRecord_PasswayName":"出口车道","passRecord_DeviceName":"出口相机","passRecord_PassTime":"2023-01-09 18:17:11","passRecord_Name":"admin","passRecord_AddTime":"2023-01-09 18:17:11","totalRecord":7}]"
}
```