[TOC]

**查询剩余车位**

------------

| 请求URL                                               | 请求方式 |            请求类型            |
| ----------------------------------------------------- | :------: | :----------------------------: |
| `http://localhost:8888/api/Inquire/GetRemainingSpace` |   POST   | Content-Type：application/json |

###### 请求参数

| 参数      | 类型   | 是必填 | 描述         |
| --------- | ------ | ------ | ------------ |
| appid     | String | 是     | appid        |
| parkkey   | String | 是     | 车场唯一编号 |
| version   | String | 是     | 版本号       |
| timestamp | String | 是     | 时间戳       |
| sign      | String | 是     | 签名         |

###### 请求示例

```
{
    "parkkey":"1672411257693788",
    "version":"v1.0",
    "appid":"123456",
    "timestamp":"20221108105623",
    "sign":"504e31f7e3da02a14350d9da57de4d8f",

}
```

###### 返回参数说明

| 参数         | 类型   | 是必填 | 描述                          |
| ------------ | ------ | ------ | ----------------------------- |
| success      | bool   | 是     | 状态 （true-成功 false-失败） |
| errcode      | int    | 是     | 状态码 （200-成功 500-失败）  |
| errmsg       | string | 是     | 返回信息                      |
| id           | String | 是     | 签名                          |
| parkno       | String | 是     | 车场唯一标识                  |
| timestamp    | String | 是     | 时间戳                        |
| sign         | String | 是     | 签名                          |
| data         | String | 是     | 数据                          |
| —totalSpaces | String | 是     | 总车位                        |
| —remaiSpaces | String | 是     | 剩余车位                      |
| ——areaItem   | Array  | 是     | 区域数据                      |
| ——Item1      | String | 是     | 区域ID                        |
| ——Item2      | String | 是     | 区域总车位                    |
| ——Item3      | String | 是     | 区域剩余车位                  |
| ——Item4      | String | 是     | 区域名称                      |

###### 返回示例

```
{
    "success":true,
    "errcode":200,
    "errmsg":"获取数据成功",
    "id":"4e98ae9d3e2944cd907870c7adc43737",
    "parkno":"1672411257693788",
    "timestamp":"1673333308",
    "sign":"daf35482abffa37901cff949e74716b2",
    "data":"{"totalSpaces":600,"remaiSpaces":597,"areaItem":[{"Item1":"1672411257776271","Item2":500,"Item3":497,"Item4":"外场"},{"Item1":"1672411594704146","Item2":100,"Item3":100,"Item4":"地库"}]}"
}
```