[TOC]

**查询车道状态**

------------

| 请求URL                                              | 请求方式 |            请求类型            |
| :--------------------------------------------------- | :------: | :----------------------------: |
| `http://localhost:8888/api/Inquire/GetVehicleOnline` |   POST   | Content-Type：application/json |

###### 请求参数

| 参数       | 类型   | 是必填 | 描述         |
| ---------- | ------ | ------ | ------------ |
| appid      | String | 是     | appid        |
| parkkey    | String | 是     | 车场唯一编号 |
| version    | String | 是     | 版本号       |
| timestamp  | String | 是     | 时间戳       |
| sign       | String | 是     | 签名         |
| data       | String | 是     |              |
| —passwayNo | String | 是     | 车道编号     |

###### 请求示例

```
{
    "parkkey":"1672411257693788",
    "version":"v1.0",
    "appid":"123456",
    "timestamp":"20221108105623",
    "sign":"765690d62e15876d67e57888b79fd76b",
    "data":"{"passwayNo":"1"}"
}
```

###### 返回参数说明

| 参数         | 类型   | 是必填 | 描述                          |
| ------------ | ------ | ------ | ----------------------------- |
| success      | bool   | 是     | 状态 （true-成功 false-失败） |
| errcode      | int    | 是     | 状态码 （200-成功 500-失败）  |
| errmsg       | string | 是     | 返回信息                      |
| id           | String | 是     | 签名                          |
| parkno       | String | 是     | 车场唯一标识                  |
| timestamp    | String | 是     | 时间戳                        |
| sign         | String | 是     | 签名                          |
| data         | String | 是     | 数据                          |
| —groundState | String | 是     | 地感状态（0不在线，1在线）    |
| —gateState   | String | 是     | 道闸状态 （0不在线，1在线）   |

###### 返回示例

```
{
    "success":true,
    "errcode":200,
    "errmsg":"获取状态成功",
    "id":"686b5be781b84da9a6f1137a0324b626",
    "parkno":"1672411257693788",
    "timestamp":"1673333905",
    "sign":"aee4a51cc9278c4252769d17a6ba9955",
    "data":"{"groundState":0,"gateState":0}"
}
```