[TOC]

**查询访客预约车辆**

------------

| 请求URL                                            | 请求方式 |            请求类型            |
| :------------------------------------------------- | :------: | :----------------------------: |
| `http://localhost:8888/api/Inquire/GetReserveList` |   POST   | Content-Type：application/json |

###### 请求参数

| 参数        | 类型   | 是必填 | 描述                                                    |
| ----------- | ------ | ------ | ------------------------------------------------------- |
| appid       | String | 是     | appid                                                   |
| parkkey     | String | 是     | 车场唯一编号                                            |
| version     | String | 是     | 版本号                                                  |
| timestamp   | String | 是     | 时间戳                                                  |
| sign        | String | 是     | 签名                                                    |
| data        | String | 是     |                                                         |
| — carNo     | String | 否     | 车牌号                                                  |
| — beginTime | String | 是     | 开始时间                                                |
| — endTime   | String | 是     | 结束时间                                                |
| —indexId    | String | 否     | 1、查询第几页数据，默认0,1为第一页，2为第二页，以此类推 |
| —size       | String | 否     | 返回查询记录条数 可为空，默认20条，最大100条            |

###### 请求示例

```
{   
    "appid":"123456",
    "parkkey":"1668156774973244",
    "version":"v1.0",
    "timestamp":"20221115170400",
    "sign":"c972ebeebf089dadebc44691b8e21c1e",
    "data":"{\"carNo\":\"粤A11235\",\"beginTime\":\"2020-11-10 12:12:12\",\"endTime\":\"2022-11-12 12:12:12\"}"
}
```

###### 返回参数说明

| 参数          | 类型   | 是必填 | 描述                                            |
| ------------- | ------ | ------ | ----------------------------------------------- |
| success       | bool   | 是     | 状态 （true-成功 false-失败）                   |
| errcode       | int    | 是     | 状态码 （200-成功 500-失败）                    |
| errmsg        | string | 是     | 错误信息                                        |
| id            | String | 是     | 签名                                            |
| parkkey       | String | 是     | 车场唯一标识                                    |
| timestamp     | String | 是     | 时间戳                                          |
| sign          | String | 是     | 签名                                            |
| data          | String | 是     | 数据                                            |
| — carNo       | String | 是     | 车牌号                                          |
| — name        | String | 是     | 车主名称                                        |
| — beginTime   | String | 是     | 开始时间                                        |
| — endTime     | String | 是     | 结束时间                                        |
| — enterTime   | String | 是     | 入场时间                                        |
| — outTime     | String | 是     | 出场时间                                        |
| — status      | String | 是     | 0-已预约，1-已到达，2-已过期，3-已取消,4-已出场 |
| — totalRecord | String | 是     | 总条数                                          |

###### 返回示例

```
{
    "success":true,
    "errcode":200,
    "errmsg":"获取数据成功",
    "id":"7ab4911d5e1a4886a27ed014d7795c45",
    "parkno":"1670434281583779",
    "timestamp":"1673088426",
    "sign":"272ca618083dcc1df356c4a463231c02",
    "data":"[{"indexId":"0","carNo":"粤A11235","name":"raymond","beginTime":"2020-11-10 12:12:12","endTime":"2022-11-12 12:12:12","status":1,"totalRecord":1}]"
}
```