[TOC]

**查询商家车辆**

------------

| 请求URL                                         | 请求方式 |            请求类型            |
| :---------------------------------------------- | :------: | :----------------------------: |
| `http://localhost:8888/api/Inquire/GetBusiness` |   POST   | Content-Type：application/json |

###### 请求参数

| 参数      | 类型   | 是必填 | 描述         |
| --------- | ------ | ------ | ------------ |
| appid     | String | 是     | appid        |
| parkkey   | String | 是     | 车场唯一编号 |
| version   | String | 是     | 版本号       |
| timestamp | String | 是     | 时间戳       |
| sign      | String | 是     | 签名         |
| data      | String | 是     |              |
| — orderNo | String | 是     | 单号         |

###### 请求示例

```
{   
    "appid":"pm28e784f55a93a2ee",
    "parkKey":"1665659877431218",
    "version":"v1.0",
    "timestamp":"20221025194752",
    "sign":"7b242cba94a91712fc25b2dd65038e3b",
    "data":"{\"orderNo\":\"16678596694\"}"
}
```

###### 返回参数说明

| 参数                   | 类型                          | 是必填 | 描述                                                      |
| ---------------------- | ----------------------------- | ------ | --------------------------------------------------------- |
| success                | bool                          | 是     | 状态 （true-成功 false-失败）                             |
| errcode                | int                           | 是     | 状态码 （200-成功 500-失败）                              |
| errmsg                 | string                        | 是     | 错误信息                                                  |
| id                     | String                        | 是     | 签名                                                      |
| parkkey                | String                        | 是     | 车场唯一标识                                              |
| timestamp              | String                        | 是     | 时间戳                                                    |
| sign                   | String                        | 是     | 签名                                                      |
| data                   | String                        | 是     | 数据                                                      |
| — BusinessCar_No       | String                        | 是     | 车牌号                                                    |
| — BusinessCar_Name     | String                        | 是     | 车牌类型名称                                              |
| —BusinessCar_Status    | String                        | 是     | （状态，0-已预约，1-已到达，2-已过期，3-已取消,4-已出场） |
| —BusinessCar_StartTime | String yyyy-MM-dd hh:mm:ss）  | 是     | 开始时间                                                  |
| —BusinessCar_EndTime   | String（yyyy-MM-dd hh:mm:ss） | 是     | 结束时间                                                  |

###### 返回示例

```
{
    "success":true,
    "errcode":null,
    "errmsg":"获取状态成功",
    "id":"1ac6cd327a664d69aacec58b258c7760",
    "parkno":"1665659877431218",
    "timestamp":"638034194531273348",
    "sign":"75bd60c2d0bf081b7413eca172a194ba",
    "data":"{"BusinessCar_No":"1667816514404208","BusinessCar_CardName":"商家车","BusinessCar_StartTime":"2022-11-01T10:10:59","BusinessCar_EndTime":"2022-11-30T10:10:59","BusinessCar_Status":"1"}"
}
```