[TOC]

**查询月租车辆**

------------

| 请求URL                                           | 请求方式 |            请求类型            |
| :------------------------------------------------ | :------: | :----------------------------: |
| `http://localhost:8888/api/Inquire/GetMthCarInfo` |   POST   | Content-Type：application/json |

###### 请求参数

| 参数        | 类型   | 是必填 | 描述                                                    |
| ----------- | ------ | ------ | ------------------------------------------------------- |
| appid       | String | 是     | appid                                                   |
| parkkey     | String | 是     | 车场唯一编号                                            |
| version     | String | 是     | 版本号                                                  |
| timestamp   | String | 是     | 时间戳                                                  |
| sign        | String | 是     | 签名                                                    |
| data        | String | 是     |                                                         |
| — carNo     | String | 否     | 车牌号                                                  |
| — beginTime | String | 是     | 开始时间                                                |
| — endTime   | String | 是     | 结束时间                                                |
| — indexId   | String | 否     | 1、查询第几页数据，默认0,1为第一页，2为第二页，以此类推 |
| — size      | String | 否     | 返回查询记录条数 可为空，默认20条，最大100条            |

###### 请求示例

```
{   
    "appid":"123456",
    "parkkey":"1668156774973244",
    "version":"v1.0",
    "timestamp":"20221115170400",
    "sign":"03e4ac9da22bcaa3ba80c7599ceaab84",
    "data":"{\"carNo\":\"粤A11235\",\"beginTime\":\"2020-11-10 00:00:00\",\"endTime\":\"2022-11-12 23:59:59\",\"indexId\":\"0\",\"size\":\"20\"}"

}
```

###### 返回参数说明

| 参数          | 类型   | 是必填 | 描述                          |
| ------------- | ------ | ------ | ----------------------------- |
| success       | bool   | 是     | 状态 （true-成功 false-失败） |
| errcode       | int    | 是     | 状态码 （200-成功 500-失败）  |
| errmsg        | string | 是     | 错误信息                      |
| id            | String | 是     | 签名                          |
| parkkey       | String | 是     | 车场唯一标识                  |
| timestamp     | String | 是     | 时间戳                        |
| sign          | String | 是     | 签名                          |
| data          | String | 是     | 数据                          |
| — carNo       | String | 是     | 车牌号                        |
| — beginTime   | String | 是     | 开始时间                      |
| — endTime     | String | 是     | 结束时间                      |
| — ownerName   | String | 是     | 订单号                        |
| — totalRecord | String | 是     | 总条数                        |

###### 返回示例

```
{
    "success":true,
    "errcode":200,
    "errmsg":"获取数据成功",
    "id":"a2cb8bce88b4446884d734cd2c315f08",
    "parkno":"1670434281583779",
    "timestamp":"1673086706",
    "sign":"2d709a92f3aea1e2845a619b20c59743",
    "data":"[{"indexId":"0","carNo":"粤A12345","beginTime":"2023-01-07T00:00:00","endTime":"2023-02-06T23:59:59","ownerName":"","totalRecord":2},{"indexId":"1","carNo":"粤A45678","beginTime":"2023-01-07T00:00:00","endTime":"2023-02-06T23:59:59","ownerName":"","totalRecord":2}]"
}
```