[TOC]

**查询缴费记录**

------------

| 请求URL                                         | 请求方式 |            请求类型            |
| :---------------------------------------------- | :------: | :----------------------------: |
| `http://localhost:8888/api/Inquire/GetPayOrder` |   POST   | Content-Type：application/json |

###### 请求参数

| 参数        | 类型   | 是必填 | 描述                                                    |
| ----------- | ------ | ------ | ------------------------------------------------------- |
| appid       | String | 是     | appid                                                   |
| parkkey     | String | 是     | 车场唯一编号                                            |
| version     | String | 是     | 版本号                                                  |
| timestamp   | String | 是     | 时间戳                                                  |
| sign        | String | 是     | 签名                                                    |
| data        | String | 是     |                                                         |
| — carNo     | String | 否     | 车牌号                                                  |
| — beginTime | String | 是     | 开始时间                                                |
| — endTime   | String | 是     | 结束时间                                                |
| —indexId    | String | 否     | 1、查询第几页数据，默认0,1为第一页，2为第二页，以此类推 |
| —size       | String | 否     | 返回查询记录条数 可为空，默认20条，最大100条            |

###### 请求示例

```
{
    "parkkey":"1672411257693788",
    "version":"v1.0",
    "appid":"123456",
    "timestamp":"20221108105623",
    "sign":"4133ed3e319de05cdab18a0f32af7ae6",
    "data":"{"carNo":"","beginTime":"2023-01-01 00:00:00","endTime":"2023-01-10 23:59:59","indexId":"0","size":"2"}"
}
```

###### 返回参数说明

| 参数             | 类型    | 是必填 | 描述                          |
| ---------------- | ------- | ------ | ----------------------------- |
| success          | bool    | 是     | 状态 （true-成功 false-失败） |
| errcode          | int     | 是     | 状态码 （200-成功 500-失败）  |
| errmsg           | string  | 是     | 返回信息                      |
| id               | String  | 是     | 签名                          |
| parkno           | String  | 是     | 车场唯一标识                  |
| timestamp        | String  | 是     | 时间戳                        |
| sign             | String  | 是     | 签名                          |
| data             | String  | 是     | 数据                          |
| — no             | String  | 是     | 支付单号                      |
| — parkOrderNo    | String  | 是     | 车场订单号                    |
| — carNo          | String  | 是     | 车牌号                        |
| — payedTime      | String  | 是     | 支付时间                      |
| — money          | Decimal | 是     | 订单金额                      |
| — payedMoney     | Decimal | 是     | 支付金额                      |
| — discountMoney  | Decimal | 是     | 优惠金额                      |
| — storedMoney    | Decimal | 是     | 储值金额                      |
| — outReduceMoney | Decimal | 是     | 找零金额                      |
| — selfMoney      | Decimal | 是     | 自助缴费金额                  |
| — totalRecord    | int     | 是     | 总行数                        |

###### 返回示例

```
{
    "success":true,
    "errcode":200,
    "errmsg":"获取数据成功",
    "id":"60e0cf3d171e4318a2d6a09af8a58567",
    "parkno":"1672411257693788",
    "timestamp":"1673334338",
    "sign":"9d80c702719233915f2e7723541e8e48",
    "data":"[{"indexId":"0","no":"MC1673346313147480ncrxnc2w","parkOrderNo":"","carNo":"粤CC4578","payedTime":"2023-01-10 10:25:13","money":0.01,"payedMoney":0.01,"discountMoney":0.00,"storedMoney":0.00,"outReduceMoney":0.00,"selfMoney":0.00,"totalRecord":36},{"indexId":"1","no":"MC16733425936396541672411257693788","parkOrderNo":null,"carNo":"京AAA1234","payedTime":"2023-01-10 09:23:13","money":0.01,"payedMoney":0.01,"discountMoney":0.00,"storedMoney":0.00,"outReduceMoney":0.00,"selfMoney":0.00,"totalRecord":36}]"
}
```