[TOC]

**根据车牌号获取价格**

| 请求URL                                                 | 请求方式 |            请求类型            |
| :------------------------------------------------------ | :------: | :----------------------------: |
| `http://localhost:8888/api/Inquire/GetParkOrderByCarNo` |   POST   | Content-Type：application/json |

###### 请求参数

| 参数      | 类型   | 是必填 | 描述         |
| --------- | ------ | ------ | ------------ |
| appid     | String | 是     | appid        |
| parkkey   | String | 是     | 车场唯一编号 |
| version   | String | 是     | 版本号       |
| timestamp | String | 是     | 时间戳       |
| sign      | String | 是     | 签名         |
| data      | String | 是     |              |
| —carNo    | String | 是     | 车牌号       |

###### 请求示例

```
{
    "parkkey":"1672411257693788",
    "version":"v1.0",
    "appid":"123456",
    "timestamp":"20221108105623",
    "sign":"cc3d945fe18ecc35b8e4ec625c7b5516",
    "data":"{"carNo":"粤FSDF15"}"
}
```

###### 返回参数说明

| 参数        | 类型   | 是必填 | 描述                          |
| ----------- | ------ | ------ | ----------------------------- |
| success     | bool   | 是     | 状态 （true-成功 false-失败） |
| errcode     | int    | 是     | 状态码 （200-成功 500-失败）  |
| errmsg      | string | 是     | 错误信息                      |
| id          | String | 是     | 签名                          |
| parkkey     | String | 是     | 车场唯一标识                  |
| timestamp   | String | 是     | 时间戳                        |
| sign        | String | 是     | 签名                          |
| data        | String | 是     | 数据                          |
| — orderNo   | String | 是     | 订单号                        |
| — amt       | String | 是     | 订单金额（单位：元）          |
| — enterTime | String | 是     | 入场时间                      |

###### 返回示例

```
{
    "success":true,
    "errcode":200,
    "errmsg":"获取数据成功",
    "id":"15043369c37a4796b5010132193ac5d0",
    "parkno":"1672411257693788",
    "timestamp":"1673336762",
    "sign":"858b2b78a848105a2737303928c1fa57",
    "data":"{"orderNo":"1673349735573738-FSDF14","amt":1.0,"enterTime":"2023-01-10 11:22:15"}"
}
```