##### 简要描述

- 需要远程控制道闸关闸时调用

##### 请求URL
- ` http://localhost:8888/api/Inform/CloseGate `
  
##### 请求方式
- POST 

##### 请求类型
- Content-Type：application/json

##### 请求参数

|  参数 |类型   | 是必填  | 描述  |
| ------------ | ------------ | ------------ | ------------ |
|  appid | String  | 是  | appid  |
|  parkkey | String  | 是  | 车场唯一编号  |
|  version  | String  | 是  | 版本号  |
|  timestamp | String  | 是  | 时间戳  |
|  sign |  String | 是  | 签名  |
|  data | String  |  是 |   |
|--passwayNo | String  |  是 | 车道编号  |

##### 请求示例 

``` 
{   
    "appid":"pm28e784f55a93a2ee",
    "parkkey":"1665659877431218",
    "version":"v1.0",
    "timestamp":"20221025194752",
    "sign":"0499e5268fead525035617ad53d4391c",
    "data":"{\"passwayNo\":\"2\"}"
}
```

##### 返回参数说明 

|  参数 |类型   | 是必填  | 描述  |
| ------------ | ------------ | ------------ | ------------ |
|  success | bool  | 是  | 状态  （true-成功 false-失败） |
|  errcode  | int  | 是  | 状态码 （200-成功 500-失败） |
|  errmsg | string  | 是  | 错误信息  |
|  id |  String | 是  | 签名  |
|  parkkey | String  |  是 | 车场唯一标识  |
|  timestamp | String  |  是 | 时间戳  |
|  sign | String  |  是 | 签名  |
|  data | String  |  是 | 数据  |
|--passwayNo | String  |  是 | 车道号  |


##### 返回示例 

``` 
{
    "success":true,
    "errcode":200,
    "errmsg":"远程关闸下发成功",
    "id":"f40528b70cf4421c9aa7cf19247b403f",
    "parkno":"1665659877431218",
    "timestamp":"638023249585619725",
    "sign":"2111790b72e0c312065b3c291dda0060",
    "data":"{"passwayNo":"2"}"
}
```