##### 简要描述

- 修改场内的车牌号与类型接口

##### 请求URL
- ` http://localhost:8888/api/Inform/UpdateCar `
  
##### 请求方式
- POST 

##### 请求类型
- Content-Type：application/json

##### 请求参数

|  参数 |类型   | 是必填  | 描述  |
| ------------ | ------------ | ------------ | ------------ |
|  appid | String  | 是  | appid  |
|  parkkey | String  | 是  | 车场唯一编号  |
|  version  | String  | 是  | 版本号  |
|  timestamp | String  | 是  | 时间戳  |
|  sign |  String | 是  | 签名  |
|  data | String  |  是 |   |
| --carNo | String  |  是 | 车牌号码  |
| --carWNo | String  | 否  |  车尾号码 |
| --orderNo | String  | 是  |  车辆入场时唯一的停车记录订单 |
| --carTypeNo | String  | 是  |  新的计费卡类（类型编号参考【车辆类型字典】） |

##### 请求示例 

``` 
{   
    "appid":"123456",
    "parkKey":"1668156774973244",
    "version":"v1.0",
    "timestamp":"2023032911142",
    "sign":"2a79491bdcbd59449de5943e60e0d8b5",
    "data":"{\"carNo\":\"粤A11113\",\"carWNo\":\"粤A11555\",\"orderNo\":\"1669022050689135-A11111\",\"carTypeNo\":\"3664\"}"
}
```

##### 返回参数说明 

|  参数 |类型   | 是必填  | 描述  |
| ------------ | ------------ | ------------ | ------------ |
|  success | bool  | 是  | 状态  （true-成功 false-失败） |
|  errcode  | int  | 是  | 状态码 （200-成功 500-失败） |
|  errmsg | string  | 是  | 错误信息  |
|  id |  String | 是  | 签名  |
|  parkkey | String  |  是 | 车场唯一标识  |
|  timestamp | String  |  是 | 时间戳  |
|  sign | String  |  是 | 签名  |
|  data | String  |  是 | 数据  |
|--carNo  |  String |  是 | 车牌号码  |
| --carWNo | String  | 否  |  车尾号码 |
|--carTypeNo | String  |  是 | 车辆类型  |


##### 返回示例 

``` 
{
    "success":true,
    "errcode":1,
    "errmsg":"修改成功",
    "id":"ba8ff7e1d7f042b396ae3ba8a0261752",
    "parkno":"1668156774973244",
    "timestamp":"1668997547",
    "sign":"a46b267f73875b71820497b724a3a744",
    "data":"{"carNo":"粤A11113","carWNo":"粤A11555","carTypeNo":"3664"}"
}
```