##### 简要描述

- 新增月租车用户时系统返回一个用用户编号，新增月租车时需要用到该编号进行车辆与用户绑定关系

##### 请求URL
- ` http://localhost:8888/api/Inform/AddPerson `
  
##### 请求方式
- POST 

##### 请求类型
- Content-Type：application/json

##### 请求参数

|  参数 |类型   | 是必填  | 描述  |
| ------------ | ------------ | ------------ | ------------ |
|  appid | String  | 是  | appid  |
|  parkkey | String  | 是  | 车场唯一编号  |
|  version  | String  | 是  | 版本号  |
|  timestamp | String  | 是  |  时间戳 （毫秒数） |
|  sign |  String | 是  | 签名  |
|  data | String  |  是 |   |
| --userName  |  String |  是 |  用户名 |
| --carTypeNo  |  String |  是 |  车牌类型编码（参考【[车牌类型字典](http://doc.cpyht.com/web/#/105/1313 "车牌类型字典")】） |
| --sex  |  String |  是 |  性别（1-男，0-女） |
| --homeAddress  |  String |  是 |  地址 |
| --mobNumber  |  String |  是 |  手机号 |
| --carSpalcesNum  |  String |  是 |  车位个数 |



##### 请求示例 

``` 
{
    "parkkey":"167241125769378188",
    "version":"v1.0",
    "appid":"123456",
    "timestamp":"20221108105623",
    "sign":"d085297247e01a682b2994e42f0e889c",
    "data":"{"userName":"野王","carTypeNo":"3653","sex":"1","homeAddress":"广东深圳","carSpalcesNum":"1"}"
}

```

##### 返回参数说明 

|  参数 |类型   | 是必填  | 描述  |
| ------------ | ------------ | ------------ | ------------ |
|  success | bool  | 是  | 状态 （true-成功 false-失败） |
|  errcode  | int  | 是  | 状态码 （200-成功 500-失败） |
|  errmsg | string  | 是  | 错误信息  |
|  id |  String | 是  | 签名  |
|  parkkey | String  |  是 | 车场唯一标识  |
|  timestamp | String  |  是 | 时间戳 （毫秒数） |
|  sign | String  |  是 | 签名  |
|  data | String  |  是 | 数据  |
|-- userNo  |  String |  是 |  用户编号 |
|-- time  |  String |  是 |  时间（yyyy-MM-dd hh:mm:ss） |

##### 返回示例 
```
{
    "success":true,
    "errcode":1,
    "errmsg":"添加月租车用户成功",
    "id":"f0e8f7105c7645f8ae7d601a2695d440",
    "parkno":"1668156774973244",
    "timestamp":"1668580274",
    "sign":"8fec2f0bcc8061bd09d475468cd16b7c",
    "data":"{"userNo":"U1668609073638418","time":"2022-11-16T14:31:13.6945335+08:00"}"
}


```