##### 简要描述

- 新增月租车绑定用户，如果多个车牌号码绑定一个用户编号也就实现了一个多车的添加

##### 请求URL
- ` http://localhost:8888/api/Inform/AddMthCar `
  
##### 请求方式
- POST 

##### 请求类型
- Content-Type：application/json

##### 请求参数

|  参数 |类型   | 是必填  | 描述  |
| ------------ | ------------ | ------------ | ------------ |
|  appid | String  | 是  | appid  |
|  parkkey | String  | 是  | 车场唯一编号  |
|  version  | String  | 是  | 版本号  |
|  timestamp | String  | 是  | 时间戳  |
|  sign |  String | 是  | 签名  |
|  data | String  |  是 |   |
| -- carNo  |  String |  是 |  车牌号 |
| -- carType  |  String |  是 |  车辆类型 |
| -- userNo  |  String |  是 |  用户编号 |
| -- beginTime  |  String |  是 |  开始时间 |
| -- endTime  |  String |  是 |  结束时间 |
| -- chargeMoney  |  String |  否 | 订单金额（单位：元） |   |
| -- chargePayedMoney  |  String |  否 |  订单应付金额（单位：元） |

##### 请求示例 

``` 
{   
    "appid":"123456",
    "parkkey":"1668156774973244",
    "version":"v1.0",
    "timestamp":"20221115170400",
    "sign":"446fb1b0e3c67e1d940c756aa698e775",
    "data":"{\"carNo\":\"粤A11235\",\"carType\":\"蓝牌车\",\"userNo\":\"U1668609397384141\",\"beginTime\":\"2020-11-10 12:12:12\",\"endTime\":\"2022-11-12 12:12:12\"}"
}

```

##### 返回参数说明 

|  参数 |类型   | 是必填  | 描述  |
| ------------ | ------------ | ------------ | ------------ |
|  success | bool  | 是  | 状态 （true-成功 false-失败） |
|  errcode  | int  | 是  | 状态码 （200-成功 500-失败） |
|  errmsg | string  | 是  | 错误信息  |
|  id |  String | 是  | 签名  |
|  parkkey | String  |  是 | 车场唯一标识  |
|  timestamp | String  |  是 | 时间戳  |
|  sign | String  |  是 | 签名  |
|  data | String  |  是 | 数据  |
|-- carNo  |  String |  是 |  车牌号 |
|-- reserveTime|  String |  是 | 创建时间  |
|-- reOrderNo  |  String |  是 |  订单号 |


##### 返回示例 
```
{
    "success":true,
    "errcode":1,
    "errmsg":"新增月租车成功",
    "id":"71c6dea154c04169888d4fb716ae8905",
    "parkno":"1668156774973244",
    "timestamp":"1668581259",
    "sign":"31e0426d87d56be50a7caceda75af02c",
    "data":"{"carNo":"粤A11235","reserveTime":"2022-11-16 02:37:98","reOrderNo":"1668610039330192"}"
}
```