##### 简要描述

- 月租车延期续费接口是对车辆所在的车位有效期进行延期，也就是多个车牌号码绑定了一个用户编号，只要延期一个车牌号码其它的车辆也进行了延期

##### 请求URL
- ` http://localhost:8888/api/Inform/ChargeMonthCar `
  
##### 请求方式
- POST 

##### 请求类型
- Content-Type：application/json

##### 请求参数

|  参数 |类型   | 是必填  | 描述  |
| ------------ | ------------ | ------------ | ------------ |
|  appid | String  | 是  | appid  |
|  parkkey | String  | 是  | 车场唯一编号  |
|  version  | String  | 是  | 版本号  |
|  timestamp | String  | 是  | 时间戳  |
|  sign |  String | 是  | 签名  |
|  data | String  |  是 |   |
| -- carNo  |  String |  是 |  车牌号 |
| -- beginTime  |  String |  是 |  开始时间 |
| -- endTime  |  String |  是 |  结束时间 |
| -- chargeMoney  |  String | 是| 订单支付金额（单位：元） |   |
| -- chargePayedMoney  |  String |  是 |  订单应付金额（单位：元） |
| -- chargeTime  |  String |  是 |  订单时间 |


##### 请求示例 

``` 
{   
    "appid":"123456",
    "parkkey":"1668156774973244",
    "version":"v1.0",
    "timestamp":"20221115170400",
    "sign":"1c2eb97c393e0a4bf43cdbf273ac2d8c",
    "data":"{\"carNo\":\"粤A11235\",\"beginTime\":\"2022-11-17 09:05:14\",\"endTime\":\"2023-11-17 09:05:14\",\"chargeMoney\":\"600\",\"chargePayedMoney\":\"600\",\"chargeTime\":\"2022-11-17 09:05:14\"}"
}

```

##### 返回参数说明 

|  参数 |类型   | 是必填  | 描述  |
| ------------ | ------------ | ------------ | ------------ |
|  success | bool  | 是  | 状态 （true-成功 false-失败） |
|  errcode  | int  | 是  | 状态码 （200-成功 500-失败） |
|  errmsg | string  | 是  | 错误信息  |
|  id |  String | 是  | 签名  |
|  parkkey | String  |  是 | 车场唯一标识  |
|  timestamp | String  |  是 | 时间戳  |
|  sign | String  |  是 | 签名  |
|  data | String  |  是 | 数据  |



##### 返回示例 

``` 
{
    "success":true,
    "errcode":1,
    "errmsg":"月租车充值成功",
    "id":"a1a0b2bb2eec44d8a852d5ab9e6ca84f",
    "parkno":"1668156774973244",
    "timestamp":"1668647736",
    "sign":"4416d4b6bd6f134b3cab93aa8390c610",
    "data":""
}
```