##### 简要描述

- 用于缴费下发给软件

##### 请求URL
- ` http://localhost:8888/api/Inform/PayOrderNotice `
  
##### 请求方式
- POST 

##### 请求类型
- Content-Type：application/json

##### 请求参数

|  参数 |类型   | 是必填  | 描述  |
| ------------ | ------------ | ------------ | ------------ |
|  appid | String  | 是  | appid  |
|  parkkey | String  | 是  | 车场唯一编号  |
|  version  | String  | 是  | 版本号  |
|  timestamp | String  | 是  | 时间戳  |
|  sign |  String | 是  | 签名  |
|  data | String  |  是 |   |
| -- orderNo  |  String |  是 |  车场订单号 |
| -- payAmt  |  String |  是 |  订单支付金额（单位：元） |
| -- payTime  |  String |  是 |  时间 |




##### 请求示例 

``` 
{
"parkkey":"1672411257693788",
"version":"v1.0",
"appid":"123456",
"timestamp":"20221108105623",
"sign":"b24010e1bc1533ef17c20ba7b78bb125",
"data":"{\"orderNo\":\"1672942853887277-123456\",\"payAmt\":\"1.00\",\"payTime\":\"2023-01-10 08:52:11\"}"
}


```

##### 返回参数说明 

|  参数 |类型   | 是必填  | 描述  |
| ------------ | ------------ | ------------ | ------------ |
|  success | bool  | 是  | 状态 （true-成功 false-失败） |
|  errcode  | int  | 是  | 状态码 （200-成功 500-失败） |
|  errmsg | string  | 是  | 错误信息  |
|  id |  String | 是  | 签名  |
|  parkkey | String  |  是 | 车场唯一标识  |
|  timestamp | String  |  是 | 时间戳  |
|  sign | String  |  是 | 签名  |
|  data | String  |  是 | 数据  |
|  --payOrderNo | String  |  是 | 支付单号  |




##### 返回示例 

``` 
{
    "success":true,
    "errcode":200,
    "errmsg":"缴费记录成功",
    "id":"b58c0a33e75446148f89d283614651bb",
    "parkno":"1669318971775411",
    "timestamp":"638049204994448690",
    "sign":"567fb69a96d9e986cab2d55a7f593bf5",
    "data":"{"payOrderNo":""}"
}
```