### **操作符解释**
| 枚举               | 枚举值 | 描述               |
|-------------------|-------|------------------|
| Equal             | 0     | 等于               |
| Like              | 1     | 模糊查询           |
| GreaterThan       | 2     | 大于               |
| GreaterThanOrEqual | 3    | 大于等于           |
| LessThan          | 4     | 小于               |
| LessThanOrEqual   | 5     | 小于等于           |
| In                | 6     | In操作 <br>正确格式：<br>`X, Y, Z`   <br>错误格式：<br>`'X', 'Y', 'Z'`|
| NotIn             | 7     | Not in操作 参数和in一样 |
| LikeLeft          | 8     | 左模糊             |
| LikeRight         | 9     | 右模糊             |
| NoEqual           | 10    | 不等于             |
| IsNullOrEmpty    | 11    | 是`null`或者`''`        |
| IsNot             | 12    | 情况1：Value不等于null<br> `字段=x` <br>情况2：value等于null <br> `字段 is null`|
| NoLike            | 13    | 模糊查询取反        |
| EqualNull         | 14    |情况1：Value不等于null <br> `字段=x`   <br>  情况2：value等于null <br>`字段 is null`|
| InLike            | 15    |  正确格式：`X, Y, Z` <br>  错误格式：`'X', 'Y', 'Z'` <br>生在的Sql ：` id like '%X%' or id like '%Y%' or id like '%Z%'`    |


:::highlight yellow 
### **字段说明**
查询数据接口中返回的数组中的字段不支持条件查询！！！！
:::

:::highlight yellow 

### **操作符注意说明**
<div style="padding: 15px; border-radius: 5px;">
在MySQL中，不同的字段类型支持的操作符是相似的，但也有一些特殊的考虑因素。以下是一些常见的字段类型及其支持的操作符：

**1. 数值类型（Numeric Types）:**
   - 整数类型（Integer Types）: `INT`, `BIGINT`, `TINYINT`, 等
      - 支持的操作符：`=`, `<>`, `>`, `<`, `>=`, `<=`, `IN`, `NOT IN`
   - 浮点数类型（Floating-Point Types）: `FLOAT`, `DOUBLE`
      - 支持的操作符：`=`, `<>`, `>`, `<`, `>=`, `<=`, `IN`, `NOT IN`

**2. 字符类型（Character Types）:**
   - 字符类型（CHAR, VARCHAR）:
      - 支持的操作符：`=`, `<>`, `LIKE`, `NOT LIKE`, `IN`, `NOT IN`
   - 文本类型（TEXT）:
      - 支持的操作符：`=`, `<>`, `LIKE`, `NOT LIKE`, `IN`, `NOT IN`

**3. 日期和时间类型（Date and Time Types）:**
   - 日期类型（DATE）:
      - 支持的操作符：`=`, `<>`, `>`, `<`, `>=`, `<=`, `IN`, `NOT IN`
   - 时间类型（TIME）:
      - 支持的操作符：`=`, `<>`, `>`, `<`, `>=`, `<=`, `IN`, `NOT IN`
   - 日期时间类型（DATETIME, TIMESTAMP）:
      - 支持的操作符：`=`, `<>`, `>`, `<`, `>=`, `<=`, `IN`, `NOT IN`

**4. 布尔类型（Boolean Type）:**
   - 布尔类型（BOOLEAN）:
      - 支持的操作符：`=`, `<>`, `IN`, `NOT IN`
</div>
:::