##### 简要描述

- 查询停车订单记录

##### 请求URL
- ` http://localhost:8888/Api/V2/OpenApi/Query `
  
##### 请求方式
- POST 

##### 请求类型
- Content-Type：application/json 

##### 请求参数

------------

**Query参数**

| 参数名  | 类型  | 示例值  | 说明  |
| ------------ | ------------ | ------------ |------------ |
| Route  | string  | ParkingOrder  |接口路由|

**Body参数**

| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ParkKey|body|string| yes | 停车场编号|本地停车场编号|
| AppId|body|string| yes | 应用服务标识|本地停车场应用服务标识|
| TimeStamp|body|string| yes | 时间戳|时间戳13位，精确到毫秒|
| Nonce|body|string| yes | 随机字符串|随机字符串|
| Sign|body|string| yes | 接口签名|按照接口鉴权生成的签名|
| Data|body|object| yes | 具体数据|对应接口发送的数据对象|
|» PageIndex|body|integer| yes | 获取指定页|获取指定页,为了方便记忆,序号从1开始|
|» PageSize|body|integer| yes | 获取的每页大小|默认20条，最大100条|
|» OrderBy|body|string| no | 排序的字段|排序的字段，不填写这使用默认的排序方式|
|» OrderType|body|integer| yes | 排序的方式|排序的方式，0 是ASC，1是DESC|
|» QueryCondition|body|[object]| no | 查询条件集合|查询条件集合|
|»» Field|body|string| yes | 查询字段|查询字段|
|»» Operator|body|integer| yes | 查询操作符|查询操作符，详细请看类型枚举/查询操作符枚举|
|»» Value|body|string| yes | 查询值|查询值，请根据字段的类型输入正确的值|

##### 请求示例

```
{
    "ParkKey": "{{parkkey}}",
    "AppId": "{{appid}}",
    "TimeStamp": "{{timestamp}}",
    "Nonce": "peueeqikkdzm",
    "Sign": "vhydzkvpcdukphamrgtradgy",
    "Data": {
        "PageIndex": 1,
        "PageSize": 25,
        "OrderBy": "Uid",
        "OrderType": 0,
        "QueryCondition": [ ]
    }
}
```
##### 返回参数说明
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ResultCode|integer|true|none|请求结果代码|详细信息请查看类型枚举/请求结果代码枚举，默认200为操作成功|
| ResultMsg|string|true|none|请求提示信息|接口请求返回的信息提示|
| ResultId|string|true|none|请求响应结果标识|每一次进行接口请求时，响应本次处理的标识|
| Data|object|false|none|具体数据|对应接口响应的数据对象|
|» PageIndex|integer|true|none|当前页码|当前页,为了方便记忆,序号从1开始|
|» PageSize|integer|true|none|每页数据量|每页数据量|
|» TotalCount|integer|true|none|总数据量|总数据量|
|» Results|[object]|false|none|当前查询数据结果|当前查询数据结果|
|»» Uid|integer|true|none|记录唯一主键|当前记录唯一主键|
|»» OrderNo|string¦null|true|none|停车订单|车辆入场时创建的唯一停车订单|
|»» LicensePlateNumber|string¦null|true|none|车牌号码|车牌号码，注意，车牌号码入参时，默认都转换成大写|
|»» EntryTime|string¦null|true|none|入场时间|入场时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» ExitTime|string¦null|true|none|出场时间|出场时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» EntryLaneNo|string¦null|true|none|入场车道编号|入场车道编号|
|»» EntryLaneName|string¦null|true|none|入场车道名称|入场车道名称|
|»» ExitLaneNo|string¦null|true|none|出场车道编号|出场车道编号|
|»» ExitLaneName|string¦null|true|none|出场车道名称|出场车道名称|
|»» EntryOperatorName|string¦null|true|none|入场操作员|入场操作员|
|»» ExitOperatorName|string¦null|true|none|出场操作员|出场操作员|
|»» ParkingAreaNo|string|true|none|停车区域编号|当前停车区域编号|
|»» ParkingAreaName|string¦null|true|none|停车区域名称|当前停车区域名称|
|»» VehicleTypeNo|string¦null|true|none|车辆类型编号|车辆类型编号|
|»» VehicleTypeName|string¦null|true|none|车辆类型名称|车辆类型名称|
|»» EntryImageUrl|string¦null|true|none|入场通行抓拍图片地址|入场通行抓拍图片地址，如果启用了云平台并启用了图片存储功能，则这个是一个云端存储图片的地址|
|»» ExitImageUrl|string¦null|true|none|出场通行抓拍图片地址|出场通行抓拍图片地址，如果启用了云平台并启用了图片存储功能，则这个是一个云端存储图片的地址|
|»» ParkingCardTypeNo|string¦null|true|none|车牌类型编号|车牌类型编号|
|»» ParkingCardTypeName|string¦null|true|none|车牌类型名称|车牌类型名称|
|»» OrderStatus|integer|true|none|停车订单状态|详细信息请查询类型枚举/订单状态枚举|
|»» IsFreePass|boolean|true|none|是否免费放行|是否免费放行|
|»» FreePassReason|string¦null|true|none|免费放行原因|车辆免费放行时，填写的免费放行原因|
|»» TotalAmountDue|number|true|none|应支付总金额|应支付总金额，单位元，精确到后两位小数点|
|»» TotalAmountPaid|number|true|none|实收总金额 |实收总金额  ，单位元，精确到后两位小数点|
|»» IsVehicleLocked|boolean|true|none|是否锁车|是否锁车|
|»» Remarks|string¦null|true|none|备注信息|备注信息|

##### 返回示例

```
{
    "ResultCode": 200,
    "ResultMsg": "查询数据成功！",
    "ResultId": "1761912333817380864",
    "Data": {
        "PageIndex": 1,
        "PageSize": 25,
        "TotalCount": 1,
        "Results": [
            {
                "Uid": 14,
                "OrderNo": "1708936407357552-A12345",
                "LicensePlateNumber": "贵A12345",
                "EntryTime": "2024-02-26 08:33:22",
                "ExitTime": "0001-01-01 00:00:00",
                "EntryLaneNo": "1",
                "EntryLaneName": "入口车道",
                "ExitLaneNo": null,
                "ExitLaneName": null,
                "EntryOperatorName": "超级管理员",
                "ExitOperatorName": null,
                "ParkingAreaNo": "1708773681832919",
                "ParkingAreaName": "外场",
                "VehicleTypeNo": "1708773681734708",
                "VehicleTypeName": "蓝牌车",
                "EntryImageUrl": "",
                "ExitImageUrl": null,
                "ParkingCardTypeNo": "1708773681731663",
                "ParkingCardTypeName": "临时车A",
                "OrderStatus": 200,
                "IsFreePass": false,
                "FreePassReason": null,
                "TotalAmountDue": 0.00,
                "TotalAmountPaid": 0.00,
                "IsVehicleLocked": false,
                "Remarks": ""
            }
        ]
    }
}
```