##### 简要描述

- 该接口用于查询车道的地感和道闸的状态

##### 请求URL
- ` http://localhost:8888/Api/V2/OpenApi/GetLaneStatus `
  
##### 请求方式
- GET 

##### 请求类型
- Content-Type：application/json 

##### 请求参数

------------
**Body参数**

| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ParkKey|body|string| yes | 停车场编号|本地停车场编号|
| AppId|body|string| yes | 应用服务标识|本地停车场应用服务标识|
| TimeStamp|body|string| yes | 时间戳|时间戳13位，精确到毫秒|
| Nonce|body|string| yes | 随机字符串|随机字符串|
| Sign|body|string| yes | 接口签名|按照接口鉴权生成的签名|
| Data|body|object| yes | 具体数据|对应接口发送的数据对象|
|» LaneNo|body|string| yes | 要查询的车道编号|要查询的车道编号|


##### 请求示例

```
{
  "ParkKey": "{{parkkey}}",
  "AppId": "{{appid}}",
  "TimeStamp": "{{timestamp}}",
  "Nonce": "szqevuuyfcie",
  "Sign": "vagnyjuetnrokcluwwwpuzig",
  "Data": {
    "LaneNo": "1"
  }
}
```
##### 返回参数说明
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ResultCode|integer|true|none|请求结果代码|详细信息请查看类型枚举/请求结果代码枚举，默认200为操作成功|
| ResultMsg|string|true|none|请求提示信息|接口请求返回的信息提示|
| ResultId|string|true|none|请求响应结果标识|每一次进行接口请求时，响应本次处理的标识|
| Data|object¦null|false|none|具体数据|对应接口响应的数据对象|
|» GataStatus|integer|true|none|道闸状态|道闸状态，0-道闸处于关闸状态 1-道闸处于开闸状态 -1-道闸状态未知|
|» GateLongOpen|integer|true|none|是否启用道闸常开|是否启用道闸常开 0-未启用 1-已启用 -1未知|
|» GSStatus|integer|true|none|地感状态|地感状态，0-检测无地感 1-检测有地感 -1状态未知|
|» IDCameraStatus|integer|true|none|主识别相机状态|主识别相机状态 0-设备不在线 1-设备在线|

##### 返回示例

```
{
    "ResultCode": 200,
    "ResultMsg": "获取车道地感道闸状态成功！",
    "ResultId": "1762082609234477056",
    "Data": {
        "GataStatus": 0,
        "GateLongOpen": 0,
        "GSStatus": 0,
        "IDCameraStatus": 1
    }
}
```