##### 简要描述

- 该接口用于查询车道当前订单

##### 请求URL
- ` http://localhost:8888/Api/V2/OpenApi/GetLaneOrder `
  
##### 请求方式
- GET 

##### 请求类型
- Content-Type：application/json 

##### 请求参数

------------
**Body参数**

| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ParkKey|body|string| yes | 停车场编号|本地停车场编号|
| AppId|body|string| yes | 应用服务标识|本地停车场应用服务标识|
| TimeStamp|body|string| yes | 时间戳|时间戳13位，精确到毫秒|
| Nonce|body|string| yes | 随机字符串|随机字符串|
| Sign|body|string| yes | 接口签名|按照接口鉴权生成的签名|
| Data|body|object| yes | 具体数据|对应接口发送的数据对象|
|» LaneNo|body|string| yes | 要查询的车道编号|要查询的车道编号|


##### 请求示例

```
{
    "ParkKey": "{{parkkey}}",
    "AppId": "{{appid}}",
    "TimeStamp": "{{timestamp}}",
    "Nonce": "qrcnbwmhpvxr",
    "Sign": "yjelzlnvyhbvoywvydprivkn",
    "Data": {
        "LaneNo": "123"
    }
}
```
##### 返回参数说明
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ResultCode|integer|true|none|请求结果代码|详细信息请查看类型枚举/请求结果代码枚举，默认200为操作成功|
| ResultMsg|string|true|none|请求提示信息|接口请求返回的信息提示|
| ResultId|string|true|none|请求响应结果标识|每一次进行接口请求时，响应本次处理的标识|
| Data|object¦null|false|none|具体数据|对应接口响应的数据对象|
|» OrderNo|string¦null|true|none|停车订单|车辆入场时创建的唯一停车订单|
|» CouponSchemeNos|[string]|true|none|已经使用的优惠劵编号集合|已经使用的优惠劵编号集合|
|» ChargeMoney|number|true|none|当前的计费金额|当前的计费金额|

##### 返回示例

```
{
    "ResultCode": 200,
    "ResultMsg": "获取车道订单信息成功！",
    "ResultId": "1762082730948984832",
    "Data": {
        "OrderNo": "1708936407357552-A12345",
        "ChargeMoney": 1.0,
        "CouponKey": []
    }
}
```