##### 简要描述

- 该接口用于查询月租车记录

##### 请求URL
- ` http://localhost:8888/Api/V2/OpenApi/Query `
  
##### 请求方式
- POST 

##### 请求类型
- Content-Type：application/json 

##### 请求参数

------------

**Query参数**

| 参数名  | 类型  | 示例值  | 说明  |
| ------------ | ------------ | ------------ |------------ |
| Route  | string  | MonthlyCar  |接口路由|

**Body参数**

| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ParkKey|body|string| yes | 停车场编号|本地停车场编号|
| AppId|body|string| yes | 应用服务标识|本地停车场应用服务标识|
| TimeStamp|body|string| yes | 时间戳|时间戳13位，精确到毫秒|
| Nonce|body|string| yes | 随机字符串|随机字符串|
| Sign|body|string| yes | 接口签名|按照接口鉴权生成的签名|
| Data|body|object| yes | 具体数据|对应接口发送的数据对象|
|» PageIndex|body|integer| yes | 获取指定页|获取指定页,为了方便记忆,序号从1开始|
|» PageSize|body|integer| yes | 获取的每页大小|默认20条，最大100条|
|» OrderBy|body|string| no | 排序的字段|排序的字段，不填写这使用默认的排序方式|
|» OrderType|body|integer| yes | 排序的方式|排序的方式，0 是ASC，1是DESC|
|» QueryCondition|body|[object]| no | 查询条件集合|查询条件集合|
|»» Field|body|string| yes | 查询字段|查询字段|
|»» Operator|body|integer| yes | 查询操作符|查询操作符，详细请看类型枚举/查询操作符枚举|
|»» Value|body|string| yes | 查询值|查询值，请根据字段的类型输入正确的值|


##### 请求示例
```
{
    "ParkKey": "{{parkkey}}",
    "AppId": "{{appid}}",
    "TimeStamp": "{{timestamp}}",
    "Nonce": "ojbplnvlgvzo",
    "Sign": "cttpriwwhrswfttbietbygjm",
    "Data": {
        "PageIndex": 1,
        "PageSize": 25,
        "OrderBy": "Uid",
        "OrderType": 0,
        "QueryCondition": [
            {
                "Field": "Uid",
                "Operator": 3,
                "Value": "1"
            }
        ]
    }
}
```
##### 返回参数说明
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ResultCode|integer|true|none|请求结果代码|详细信息请查看类型枚举/请求结果代码枚举，默认200为操作成功|
| ResultMsg|string|true|none|请求提示信息|接口请求返回的信息提示|
| ResultId|string|true|none|请求响应结果标识|每一次进行接口请求时，响应本次处理的标识|
| Data|object¦null|false|none|具体数据|对应接口响应的数据对象|
|» PageIndex|integer|true|none|当前页码|当前页,为了方便记忆,序号从1开始|
|» PageSize|integer|true|none|每页数据量|每页数据量|
|» TotalCount|integer|true|none|总数据量|总数据量|
|» Results|[object]¦null|false|none|当前查询数据结果|当前查询数据结果|
|»» Uid|integer|true|none|记录唯一主键|当前记录唯一主键|
|»» No|string|true|none|记录编号|表示当前记录的编号，唯一值|
|»» LicensePlateNumber|string¦null|true|none|车牌号码|车牌号码，注意，车牌号码入参时，默认都转换成大写|
|»» SystemSpotNumber|string|true|none|系统车位号|系统车位号|
|»» ParkingSpotNumber|string¦null|true|none|车场车位号|车场车位号|
|»» OwnerParkingSpaceCount|integer|true|none|车主车位数|车主车位数|
|»» OwnerName|string¦null|true|none|车主名称|发行车辆记录的车主名称|
|»» OwnerNo|string¦null|true|none|车主编号|记录车主的唯一标识编号|
|»» OwnerIDCard|string¦null|true|none|车主身份证信息|车主身份证信息，数据需解密|
|»» OwnerLicense|string¦null|true|none|车主驾驶证|车主驾驶证，数据需解密|
|»» OwnerAddress|string¦null|true|none|车主住址|车主居住地址|
|»» PhoneNumber|string|true|none|手机号码|手机号码，数据需解密|
|»» Email|string¦null|true|none|邮箱地址|邮箱地址，数据需解密|
|»» StartTime|string¦null|true|none|开始时间|开始时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» EndTime|string¦null|true|none|结束时间|结束时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» StoredVehicleBalance|number|true|none|储值车余额|储值车余额，单位元，精确到后两位小数点|
|»» VehicleTypeNo|string¦null|true|none|车辆类型编号|车辆类型编号|
|»» VehicleTypeName|string¦null|true|none|车辆类型名称|车辆类型名称|
|»» ParkingCardTypeNo|string¦null|true|none|车牌类型编号|车牌类型编号|
|»» ParkingCardTypeName|string¦null|true|none|车牌类型名称|车牌类型名称|
|»» OperatorName|string¦null|true|none|操作人姓名|操作人姓名|
|»» CreationTime|string|true|none|添加时间|添加时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» Remarks|string¦null|true|none|备注信息|备注信息|
|»» Status|integer|true|none|车牌状态|车牌状态：1-正常，2-黑名单，3-停用|
|»» EnableOffline|integer|true|none|白名单使能|相机离线自动开闸(白名单)：0-禁用，1-启用|
|»» StopSpaceList|[object]|true|none|车辆可停区域信息|车辆可停区域信息|
|»»» No|string|true|none|记录编号|表示当前记录的编号，唯一值|
|»»» Type|integer|true|none|停车区域类型|停车区域类型，0-全部可停 1-指定区域可停|
|»»» AreaNos|string|true|none|可停区域编号数组|可停区域编号数组，示例数据：["1692060223198448"]|
|»»» AreaName|string|true|none|简略显示可停区域名称|简略显示可停区域名称|
|»»» SpaceCount|integer|true|none|区域可停车位数|区域可停车位数|

##### 返回示例

```
{
    "ResultCode": 200,
    "ResultMsg": "查询数据成功！",
    "ResultId": "1762084422201409536",
    "Data": {
        "PageIndex": 1,
        "PageSize": 25,
        "TotalCount": 1,
        "Results": [
            {
                "Uid": 1,
                "No": "1708948625268530",
                "LicensePlateNumber": "粤A12345",
                "SystemSpotNumber": "C00001",
                "ParkingSpotNumber": "",
                "OwnerParkingSpaceCount": 1,
                "OwnerName": "",
                "OwnerNo": "1708977430058515",
                "OwnerIDCard": "",
                "OwnerLicense": "",
                "OwnerAddress": "",
                "PhoneNumber": "",
                "Email": "",
                "StartTime": "2024-02-26 00:00:00",
                "EndTime": "2024-03-25 23:59:59",
                "StoredVehicleBalance": 0.00,
                "VehicleTypeNo": "1708773681734708",
                "VehicleTypeName": "蓝牌车",
                "ParkingCardTypeNo": "1708773681731399",
                "ParkingCardTypeName": "月租车A",
                "OperatorName": "超级管理员",
                "CreationTime": "2024-02-26 19:57:10",
                "Remarks": "",
                "Status": 1,
                "EnableOffline": 1,
                "IsDeleteOwner": false,
                "StopSpaceList": [
                    {
                        "No": "1708948625268943",
                        "Type": 0,
                        "AreaNos": "[\"0\"]",
                        "AreaName": "全部区域",
                        "SpaceCount": 1
                    }
                ]
            }
        ]
    }
}
```