##### 简要描述

- 该接口用于查询支付订单明细记录

##### 请求URL
- ` http://localhost:8888/Api/V2/OpenApi/Query `
  
##### 请求方式
- POST 

##### 请求类型
- Content-Type：application/json 

##### 请求参数

------------

**Query参数**

| 参数名  | 类型  | 示例值  | 说明  |
| ------------ | ------------ | ------------ |------------ |
| Route  | string  | PaymentOrderDetail  |接口路由|

**Body参数**

| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ResultCode|integer|true|none|请求结果代码|详细信息请查看类型枚举/请求结果代码枚举，默认200为操作成功|
| ResultMsg|string|true|none|请求提示信息|接口请求返回的信息提示|
| ResultId|string|true|none|请求响应结果标识|每一次进行接口请求时，响应本次处理的标识|
| Data|object¦null|false|none|具体数据|对应接口响应的数据对象|
|» PageIndex|integer|true|none|当前页码|当前页,为了方便记忆,序号从1开始|
|» PageSize|integer|true|none|每页数据量|每页数据量|
|» TotalCount|integer|true|none|总数据量|总数据量|
|» Results|[object]¦null|false|none|当前查询数据结果|当前查询数据结果|
|»» Uid|integer|true|none|记录唯一主键|当前记录唯一主键|
|»» No|string|true|none|记录编号|表示当前记录的编号，唯一值|
|»» OrderNo|string¦null|true|none|停车订单|车辆入场时创建的唯一停车订单|
|»» PaymentOrderNo|string|true|none|支付订单编号|支付订单编号|
|»» OrderDetailNo|string¦null|true|none|停车明细编号|停车明细编号|
|»» StartTime|string¦null|true|none|计费开始时间|计费开始时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» EndTime|string¦null|true|none|计费结束时间|计费结束时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» TimeCount|integer¦null|true|none|时段|时段(分钟)|
|»» OrderType|string|true|none|订单类型|订单类型（月卡充值5902，临时车缴费5901，钱包充值5903，储值车扣费5905，车位续期 5910）|
|»» AreaNo|string¦null|true|none|停车区域编号|停车区域编号|
|»» AreaName|string¦null|true|none|停车区域名称|停车区域名称|
|»» LicensePlateNumber|string¦null|true|none|车牌号码|车牌号码，注意，车牌号码入参时，默认都转换成大写|
|»» VehicleTypeNo|string¦null|true|none|车辆类型编号|车辆类型编号|
|»» VehicleTypeName|string¦null|true|none|车辆类型名称|车辆类型名称|
|»» ParkingCardTypeNo|string¦null|true|none|车牌类型编号|车牌类型编号|
|»» ParkingCardTypeName|string¦null|true|none|车牌类型名称|车牌类型名称|
|»» PaymentMethod|string|true|none|支付方式编号|详细请看类型枚举/支付方式枚举信息|
|»» TotalAmountDue|number|true|none|应支付总金额|应支付总金额，单位元，精确到后两位小数点|
|»» TotalAmountPaid|number|true|none|实收总金额 |实收总金额  ，单位元，精确到后两位小数点|
|»» DiscountAmount|number|true|none|优惠金额 |优惠金额  ，单位元，精确到后两位小数点|
|»» PaymentStatus|integer|true|none|支付状态|支付状态：1成功，0未支付，2失败，3用户取消支付|
|»» PassageLaneNo|string¦null|true|none|通行车道编号|通行车道编号|
|»» Remarks|string¦null|true|none|备注信息|备注信息|
|»» CreationTime|string|true|none|创建时间|创建数据的时间|
|»» OperatorName|string¦null|true|none|操作人姓名|操作人姓名|
|»» StoredValueDeduction|number|true|none|储值金额抵扣|储值金额抵扣|


##### 请求示例
```
{
  "ParkKey": "{{parkkey}}",
  "AppId": "{{appid}}",
  "TimeStamp": "{{timestamp}}",
  "Nonce": "teleipkqduwf",
  "Sign": "vuyxlundnjbcitqgkfclphsh",
  "Data": {
    "PageIndex": 1,
    "PageSize": 25,
    "OrderBy": "Uid",
    "OrderType": 0,
    "QueryCondition": [
      {
        "Field": "Uid",
        "Operator": 3,
        "Value": "1"
      }
    ]
  }
}
```
##### 返回参数说明
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ResultCode|integer|true|none|请求结果代码|详细信息请查看类型枚举/请求结果代码枚举，默认200为操作成功|
| ResultMsg|string|true|none|请求提示信息|接口请求返回的信息提示|
| ResultId|string|true|none|请求响应结果标识|每一次进行接口请求时，响应本次处理的标识|
| Data|object¦null|false|none|具体数据|对应接口响应的数据对象|
|» PageIndex|integer|true|none|当前页码|当前页,为了方便记忆,序号从1开始|
|» PageSize|integer|true|none|每页数据量|每页数据量|
|» TotalCount|integer|true|none|总数据量|总数据量|
|» Results|[object]¦null|false|none|当前查询数据结果|当前查询数据结果|
|»» Uid|integer|true|none|记录唯一主键|当前记录唯一主键|
|»» No|string|true|none|记录编号|表示当前记录的编号，唯一值|
|»» LicensePlateNumber|string¦null|true|none|车牌号码|车牌号码，注意，车牌号码入参时，默认都转换成大写|
|»» OwnerName|string¦null|true|none|联系人姓名|联系人姓名|
|»» PhoneNumber|string|true|none|手机号码|手机号码|
|»» StartTime|string¦null|true|none|开始时间|开始时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» EndTime|string¦null|true|none|结束时间|结束时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» Remarks|string¦null|true|none|备注信息|备注信息|
|»» CreationTime|string|true|none|添加时间|添加时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» OperatorName|string¦null|true|none|操作人姓名|操作人姓名|
|»» Status|integer|true|none|黑名单状态|状态值，1-已启用，0-已注销|

##### 返回示例

```
{
    "ResultCode": 200,
    "ResultMsg": "查询数据成功！",
    "ResultId": "1762088902737297408",
    "Data": {
        "PageIndex": 1,
        "PageSize": 25,
        "TotalCount": 1,
        "Results": [
            {
                "Uid": 43,
                "No": "PD1708978497245450-EEE666",
                "PaymentOrderNo": "PO1708978497246575ktn49ura",
                "OrderNo": "PO1708978497246575ktn49ura",
                "OrderDetailNo": "1708978481390433-EEE666",
                "StartTime": "2024-02-26 20:14:36",
                "EndTime": "2024-02-26 20:14:57",
                "TimeCount": 0,
                "OrderType": "5901",
                "AreaNo": "1708773681832919",
                "AreaName": "外场",
                "LicensePlateNumber": "粤EEE666",
                "ParkingCardTypeNo": "1708773681731663",
                "ParkingCardTypeName": "临时车A",
                "VehicleTypeNo": "1708773681734708",
                "VehicleTypeName": "蓝牌车",
                "PaymentMethod": "79001",
                "TotalAmountDue": 1.00,
                "DiscountAmount": 0.00,
                "TotalAmountPaid": 1.00,
                "PaymentStatus": 1,
                "PassageLaneNo": null,
                "Remarks": null,
                "CreationTime": "2024-02-26 20:14:57",
                "OperatorName": "超级管理员",
                "StoredValueDeduction": 0.00
            }
        ]
    }
}
```