##### 简要描述

- 该接口用于查询车场车道信息

##### 请求URL
- ` http://localhost:8888/Api/V2/OpenApi/Query `
  
##### 请求方式
- POST 

##### 请求类型
- Content-Type：application/json 

##### 请求参数

------------

**Query参数**

| 参数名  | 类型  | 示例值  | 说明  |
| ------------ | ------------ | ------------ |------------ |
| Route  | string  | Lane  |接口路由|

**Body参数**

| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ParkKey|body|string| yes | 停车场编号|本地停车场编号|
| AppId|body|string| yes | 应用服务标识|本地停车场应用服务标识|
| TimeStamp|body|string| yes | 时间戳|时间戳13位，精确到毫秒|
| Nonce|body|string| yes | 随机字符串|随机字符串|
| Sign|body|string| yes | 接口签名|按照接口鉴权生成的签名|
| Data|body|object| yes | 具体数据|对应接口发送的数据对象|
|» PageIndex|body|integer| yes | 获取指定页|获取指定页,为了方便记忆,序号从1开始|
|» PageSize|body|integer| yes | 获取的每页大小|默认20条，最大100条|
|» OrderBy|body|string| no | 排序的字段|排序的字段，不填写这使用默认的排序方式|
|» OrderType|body|integer| yes | 排序的方式|排序的方式，0 是ASC，1是DESC|
|» QueryCondition|body|[object]| no | 查询条件集合|查询条件集合|
|»» Field|body|string| yes | 查询字段|查询字段|
|»» Operator|body|integer| yes | 查询操作符|查询操作符，详细请看类型枚举/查询操作符枚举|
|»» Value|body|string| yes | 查询值|查询值，请根据字段的类型输入正确的值|


##### 请求示例
```
{
  "ParkKey": "{{parkkey}}",
  "AppId": "{{appid}}",
  "TimeStamp": "{{timestamp}}",
  "Nonce": "prifkdmigqgw",
  "Sign": "thjfghdlmhoxjihaipynhvaw",
  "Data": {
    "PageIndex": 1,
    "PageSize": 25,
    "OrderBy": "Uid",
    "OrderType": 0,
    "QueryCondition": [
      {
        "Field": "Uid",
        "Operator": 3,
        "Value": "1"
      }
    ]
  }
}
```
##### 返回参数说明
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ResultCode|integer|true|none|请求结果代码|详细信息请查看类型枚举/请求结果代码枚举，默认200为操作成功|
| ResultMsg|string|true|none|请求提示信息|接口请求返回的信息提示|
| ResultId|string|true|none|请求响应结果标识|每一次进行接口请求时，响应本次处理的标识|
| Data|object¦null|false|none|具体数据|对应接口响应的数据对象|
|» PageIndex|integer|true|none|当前页码|当前页,为了方便记忆,序号从1开始|
|» PageSize|integer|true|none|每页数据量|每页数据量|
|» TotalCount|integer|true|none|总数据量|总数据量|
|» Results|[object]¦null|false|none|当前查询数据结果|当前查询数据结果|
|»» Uid|integer|true|none|记录唯一主键|当前记录唯一主键|
|»» No|string|true|none|记录编号|表示当前记录的编号，唯一值|
|»» LaneName|string¦null|true|none|车道名称|车道名称|
|»» LaneType|integer|true|none|车道类型|车道类型，1-汽车通道 2-非机动车道(人行通道)|
|»» LaneDutyMode|integer|true|none|车道值守类型|车道值守类型， 0-无人值守车道 1-现场值守|
|»» CameraMode|integer|true|none|相机模式|相机模式：1-单相机模式，2-双相机模式，3-多相机模式|
|»» IdInterval|integer|true|none|相机识别间隔|识别间隔(秒)([双相机模式，多相机模式]生效)|
|»» IsBackCar|integer¦null|true|none|是否启用倒车|是否启用倒车，0-禁用，1-启用|
|»» IsCharge|integer|true|none|车道启用收费|车道是否启用收费，0-禁用，1-启用|
|»» SentryHostNo|string|true|none|车道所属岗亭编号|车道所属岗亭编号|
|»» CreationTime|string|true|none|创建时间|创建数据的时间|
|»» IsSense|integer|true|none|无牌车扫码是否启用地感判断|无牌车扫码是否启用地感判断，0-不启用，1-启用|
|»» IsSameInOut|integer|true|none|是否同进同出模式|是否同进同出模式，0-不是 1-是|
|»» SameInOutLaneNo|string¦null|true|none|同进同出时关联的车道编号|同进同出时关联的车道编号|
|»» SameInOutType|integer|true|none|同进同出时车道的进出口类型|同进同出时车道的进出口类型，0-入口类型 1-出口类型|
|»» IsEnableBoard|integer|true|none|是否启用车道控制板|是否启用车道控制板， 0-不启用 1-启用|
|»» LaneLinkAreas|[object]¦null|true|none|当前车道绑定的区域信息|当前车道绑定的区域信息|
|»»» No|string|true|none|记录编号|表示当前记录的编号，唯一值|
|»»» AreaNo|string|true|none|关联区域的编号|关联区域的编号|
|»»» InOutMode|integer|true|none|车道在当前区域的进出口模式|车道在当前区域的进出口模式，0-出口车道 1-入口车道|

##### 返回示例

```
{
    "ResultCode": 200,
    "ResultMsg": "查询数据成功！",
    "ResultId": "1762297565800333312",
    "Data": {
        "PageIndex": 1,
        "PageSize": 25,
        "TotalCount": 2,
        "Results": [
            {
                "Uid": 1,
                "No": "1",
                "LaneName": "入口车道",
                "LaneType": 1,
                "LaneDutyMode": 1,
                "CameraMode": 1,
                "IdInterval": 3,
                "IsBackCar": 0,
                "IsCharge": 0,
                "SentryHostNo": "1708773681705853",
                "CreationTime": "2024-02-24 11:21:21",
                "IsSense": 1,
                "IsSameInOut": 0,
                "SameInOutLaneNo": null,
                "SameInOutType": 0,
                "IsEnableBoard": 0,
                "LaneLinkAreas": [
                    {
                        "No": "1708773681834298",
                        "AreaNo": "1708773681832919",
                        "InOutMode": 1
                    }
                ]
            },
            {
                "Uid": 2,
                "No": "2",
                "LaneName": "出口车道",
                "LaneType": 1,
                "LaneDutyMode": 1,
                "CameraMode": 1,
                "IdInterval": 3,
                "IsBackCar": 0,
                "IsCharge": 1,
                "SentryHostNo": "1708773681705853",
                "CreationTime": "2024-02-24 11:21:21",
                "IsSense": 1,
                "IsSameInOut": 0,
                "SameInOutLaneNo": "",
                "SameInOutType": 0,
                "IsEnableBoard": 0,
                "LaneLinkAreas": [
                    {
                        "No": "1708975487044985",
                        "AreaNo": "1708773681832919",
                        "InOutMode": 0
                    }
                ]
            }
        ]
    }
}
```