##### 简要描述

- 该接口用于查询车场车牌类型信息

##### 请求URL
- ` http://localhost:8888/Api/V2/OpenApi/Query `
  
##### 请求方式
- POST 

##### 请求类型
- Content-Type：application/json 

##### 请求参数

------------

**Query参数**

| 参数名  | 类型  | 示例值  | 说明  |
| ------------ | ------------ | ------------ |------------ |
| Route  | string  | CardType  |接口路由|

**Body参数**

| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ParkKey|body|string| yes | 停车场编号|本地停车场编号|
| AppId|body|string| yes | 应用服务标识|本地停车场应用服务标识|
| TimeStamp|body|string| yes | 时间戳|时间戳13位，精确到毫秒|
| Nonce|body|string| yes | 随机字符串|随机字符串|
| Sign|body|string| yes | 接口签名|按照接口鉴权生成的签名|
| Data|body|object| yes | 具体数据|对应接口发送的数据对象|
|» PageIndex|body|integer| yes | 获取指定页|获取指定页,为了方便记忆,序号从1开始|
|» PageSize|body|integer| yes | 获取的每页大小|默认20条，最大100条|
|» OrderBy|body|string| no | 排序的字段|排序的字段，不填写这使用默认的排序方式|
|» OrderType|body|integer| yes | 排序的方式|排序的方式，0 是ASC，1是DESC|
|» QueryCondition|body|[object]| no | 查询条件集合|查询条件集合|
|»» Field|body|string| yes | 查询字段|查询字段|
|»» Operator|body|integer| yes | 查询操作符|查询操作符，详细请看类型枚举/查询操作符枚举|
|»» Value|body|string| yes | 查询值|查询值，请根据字段的类型输入正确的值|


##### 请求示例

```
{
  "ParkKey": "{{parkkey}}",
  "AppId": "{{appid}}",
  "TimeStamp": "{{timestamp}}",
  "Nonce": "lbnxirzdrgyl",
  "Sign": "cjaofdkdakgstqmwngbjhiut",
  "Data": {
    "PageIndex": 1,
    "PageSize": 25,
    "OrderBy": "Uid",
    "OrderType": 0,
    "QueryCondition": [
      {
        "Field": "Uid",
        "Operator": 3,
        "Value": "1"
      }
    ]
  }
}
```
##### 返回参数说明
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ResultCode|integer|true|none|请求结果代码|详细信息请查看类型枚举/请求结果代码枚举，默认200为操作成功|
| ResultMsg|string|true|none|请求提示信息|接口请求返回的信息提示|
| ResultId|string|true|none|请求响应结果标识|每一次进行接口请求时，响应本次处理的标识|
| Data|object¦null|false|none|具体数据|对应接口响应的数据对象|
|» PageIndex|integer|true|none|当前页码|当前页,为了方便记忆,序号从1开始|
|» PageSize|integer|true|none|每页数据量|每页数据量|
|» TotalCount|integer|true|none|总数据量|总数据量|
|» Results|[object]¦null|false|none|当前查询数据结果|当前查询数据结果|
|»» Uid|integer|true|none|记录唯一主键|当前记录唯一主键|
|»» No|string|true|none|记录编号|表示当前记录的编号，唯一值|
|»» ParkingCardTypeName|string¦null|true|none|车牌类型名称|车牌类型名称|
|»» IsMoreCar|boolean|true|none|是否用于一位多车|是否用于一位多车|
|»» CreationTime|string|true|none|创建时间|创建数据的时间|
|»» OperatorName|string¦null|true|none|操作人姓名|操作人姓名|
|»» Category|string|true|none|车牌分类|车牌分类<br />3648,临时车D<br />3649,临时车C<br />3650,临时车B<br />3651,临时车A<br />3652,月租车A<br />3653,月租车B<br />3654,月租车C<br />3655,月租车D<br />3656,免费车<br />3657,储值车|


##### 返回示例

```
{
  "ResultCode": 200,
  "ResultMsg": "查询数据成功！",
  "ResultId": 1467697681,
  "Data": {
    "PageIndex": 1,
    "PageSize": 2,
    "TotalCount": 9,
    "Results": [
      {
        "Uid": 22,
        "No": "1690795686077580",
        "ParkingCardTypeName": "临时车",
        "IsMoreCar": true,
        "CreationTime": "2023-12-21 10:07:20",
        "OperatorName": null,
        "Category": "3651"
      },
      {
        "Uid": 23,
        "No": "1690795686077700",
        "ParkingCardTypeName": "月租车",
        "IsMoreCar": true,
        "CreationTime": "2023-12-21 10:07:20",
        "OperatorName": null,
        "Category": "3652"
      }
    ]
  }
}
```