##### 简要描述

- 该接口用于查询支付订单记录

##### 请求URL
- ` http://localhost:8888/Api/V2/OpenApi/Query `
  
##### 请求方式
- POST 

##### 请求类型
- Content-Type：application/json 

##### 请求参数

------------

**Query参数**

| 参数名  | 类型  | 示例值  | 说明  |
| ------------ | ------------ | ------------ |------------ |
| Route  | string  | PaymentOrder  |接口路由|

**Body参数**

| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ParkKey|body|string| yes | 停车场编号|本地停车场编号|
| AppId|body|string| yes | 应用服务标识|本地停车场应用服务标识|
| TimeStamp|body|string| yes | 时间戳|时间戳13位，精确到毫秒|
| Nonce|body|string| yes | 随机字符串|随机字符串|
| Sign|body|string| yes | 接口签名|按照接口鉴权生成的签名|
| Data|body|object| yes | 具体数据|对应接口发送的数据对象|
|» PageIndex|body|integer| yes | 获取指定页|获取指定页,为了方便记忆,序号从1开始|
|» PageSize|body|integer| yes | 获取的每页大小|默认20条，最大100条|
|» OrderBy|body|string| no | 排序的字段|排序的字段，不填写这使用默认的排序方式|
|» OrderType|body|integer| yes | 排序的方式|排序的方式，0 是ASC，1是DESC|
|» QueryCondition|body|[object]| no | 查询条件集合|查询条件集合|
|»» Field|body|string| yes | 查询字段|查询字段|
|»» Operator|body|integer| yes | 查询操作符|查询操作符，详细请看类型枚举/查询操作符枚举|
|»» Value|body|string| yes | 查询值|查询值，请根据字段的类型输入正确的值|


##### 请求示例
```
{
  "ParkKey": "{{parkkey}}",
  "AppId": "{{appid}}",
  "TimeStamp": "{{timestamp}}",
  "Nonce": "cocnmpkyesqk",
  "Sign": "ghfmhzcgneuqwgcbpyyrbmid",
  "Data": {
    "PageIndex": 1,
    "PageSize": 25,
    "OrderBy": "Uid",
    "OrderType": 0,
    "QueryCondition": [
      {
        "Field": "Uid",
        "Operator": 3,
        "Value": "1"
      }
    ]
  }
}
```
##### 返回参数说明
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ResultCode|integer|true|none|请求结果代码|详细信息请查看类型枚举/请求结果代码枚举，默认200为操作成功|
| ResultMsg|string|true|none|请求提示信息|接口请求返回的信息提示|
| ResultId|string|true|none|请求响应结果标识|每一次进行接口请求时，响应本次处理的标识|
| Data|object¦null|false|none|具体数据|对应接口响应的数据对象|
|» PageIndex|integer|true|none|当前页码|当前页,为了方便记忆,序号从1开始|
|» PageSize|integer|true|none|每页数据量|每页数据量|
|» TotalCount|integer|true|none|总数据量|总数据量|
|» Results|[object]¦null|false|none|当前查询数据结果|当前查询数据结果|
|»» Uid|integer|true|none|记录唯一主键|当前记录唯一主键|
|»» No|string|true|none|记录编号|表示当前记录的编号，唯一值|
|»» OrderNo|string¦null|true|none|停车订单|车辆入场时创建的唯一停车订单|
|»» LicensePlateNumber|string¦null|true|none|车牌号码|车牌号码，注意，车牌号码入参时，默认都转换成大写|
|»» OrderType|string|true|none|订单类型|订单类型（月卡充值5902，临时车缴费5901，钱包充值5903，储值车扣费5905，车位续期 5910）|
|»» SystemSpotNumber|string¦null|true|none|系统车位号|系统车位号|
|»» VehicleTypeNo|string¦null|true|none|车辆类型编号|车辆类型编号|
|»» VehicleTypeName|string¦null|true|none|车辆类型名称|车辆类型名称|
|»» ParkingCardTypeNo|string¦null|true|none|车牌类型编号|车牌类型编号|
|»» ParkingCardTypeName|string¦null|true|none|车牌类型名称|车牌类型名称|
|»» StartTime|string¦null|true|none|充值开始时间|充值开始时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» EndTime|string¦null|true|none|充值结束时间|充值结束时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» BeforeEndTime|string¦null|true|none|充值前结束时间|充值前结束时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» OwnerNo|string¦null|true|none|车主编号|记录车主的唯一标识编号|
|»» OwnerName|string¦null|true|none|车主名称|发行车辆记录的车主名称|
|»» TotalAmountDue|number|true|none|应支付总金额|应支付总金额，单位元，精确到后两位小数点|
|»» TotalAmountPaid|number|true|none|实收总金额 |实收总金额  ，单位元，精确到后两位小数点|
|»» DiscountAmount|number|true|none|优惠金额 |优惠金额  ，单位元，精确到后两位小数点|
|»» StoredValueDeduction|number|true|none|储值金额抵扣|储值金额抵扣|
|»» SelfMoney|number|true|none|自助现金缴费金额|自助现金缴费金额|
|»» OutReduceMoney|number|true|none|自助现金缴费找零金额|自助现金缴费找零金额|
|»» PaymentMethod|string|true|none|支付方式编号|详细请看类型枚举/支付方式枚举信息|
|»» PaymentStatus|integer|true|none|支付状态|支付状态：1成功，0未支付，2失败，3用户取消支付|
|»» EntryTime|string¦null|true|none|入场时间|入场时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» PaymentTime|string|true|none|支付时间|支付时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» ParkingDuration|number|true|none|停车时长|停车时长(单位分钟)|
|»» Remarks|string¦null|true|none|备注信息|备注信息|
|»» OperatorName|string¦null|true|none|操作人姓名|操作人姓名|
|»» CreationTime|string|true|none|创建时间|创建数据的时间|
|»» PaymentScene|integer|true|none|支付场景|详细请看类型枚举/支付场景枚举|

##### 返回示例

```
{
    "ResultCode": 200,
    "ResultMsg": "查询数据成功！",
    "ResultId": "1762303934402166784",
    "Data": {
        "PageIndex": 1,
        "PageSize": 25,
        "TotalCount": 2,
        "Results": [
            {
                "Uid": 43,
                "No": "PO1708978497246575ktn49ura",
                "OrderNo": "1708978481390181-EEE666",
                "LicensePlateNumber": "粤EEE666",
                "OrderType": "5901",
                "SystemSpotNumber": null,
                "VehicleTypeNo": "1708773681734708",
                "VehicleTypeName": "蓝牌车",
                "ParkingCardTypeNo": "1708773681734708",
                "ParkingCardTypeName": "临时车A",
                "StartTime": null,
                "EndTime": null,
                "BeforeEndTime": null,
                "OwnerNo": null,
                "OwnerName": null,
                "TotalAmountDue": 1.00,
                "TotalAmountPaid": 1.00,
                "DiscountAmount": 0.00,
                "StoredValueDeduction": 0.00,
                "SelfMoney": 0.00,
                "OutReduceMoney": 0.00,
                "PaymentMethod": "79001",
                "PaymentStatus": 1,
                "EntryTime": "2024-02-26 20:14:36",
                "PaymentTime": "2024-02-26 20:14:57",
                "ParkingDuration": 0.0,
                "Remarks": null,
                "OperatorName": "超级管理员",
                "CreationTime": "2024-02-26 20:14:57",
                "PaymentScene": 0
            }
        ]
    }
}
```