##### 简要描述

- 该接口用于实现管理场内记录变更，包含车牌号，车牌类型，车辆类型，入场时间，关闭订单，订单备注。

##### 请求URL
- ` http://localhost:8888/Api/V2/OpenApi/Notice `
  
##### 请求方式
- POST 

##### 请求类型
- Content-Type：application/json 

##### 请求参数

------------

**Query参数**

| 参数名  | 类型  | 示例值  | 说明  |
| ------------ | ------------ | ------------ |------------ |
| Route  | string  | ModifyParkingOrder  |接口路由|

**Body参数**

| 参数           | 类型               | 参数名         | 是否必填 | 描述        | 说明                                    |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ParkKey|body|string| yes | 停车场编号|本地停车场编号|
| AppId|body|string| yes | 应用服务标识|本地停车场应用服务标识|
| TimeStamp|body|string| yes | 时间戳|时间戳13位，精确到毫秒|
| Nonce|body|string| yes | 随机字符串|随机字符串|
| Sign|body|string| yes | 接口签名|按照接口鉴权生成的签名|
| Data|body|object| yes | 具体数据|对应接口发送的数据对象|
|» NoticeType|body|integer| yes | 通知类型|通知类型：0.更新 1.删除，注意：这里的删除操作指的是关闭场内订单|
|» Items|body|[object]| yes | 通知数据集合|通知数据集合|
|»» OrderNo|body|string¦null| yes | 停车订单|车辆入场时创建的唯一停车订单|
|»» LicensePlateNumber|body|string¦null| yes | 车牌号码|车牌号码，注意，车牌号码入参时，默认都转换成大写|
|»» VehicleTypeNo|body|string¦null| yes | 车辆类型编号|车辆类型编号|
|»» ParkingCardTypeNo|body|string¦null| yes | 车牌类型编号|车牌类型编号|
|»» EntryTime|body|string¦null| yes | 入场时间|入场时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» Remarks|body|string¦null| yes | 备注信息|备注信息|


##### 请求示例
```
{
    "ParkKey": "{{parkkey}}",
    "AppId": "{{appid}}",
    "TimeStamp": "{{timestamp}}",
    "Nonce": "grwmlgutrvvn",
    "Sign": "txndxciehkhethybgopigzjb",
    "Data": {
        "NoticeType": 0,
        "Items": [
            {
                "OrderNo": "1709026812512789-SSS888",
                "EntryTime": "2024-01-23 10:17:18",
                "Remarks": "这是一个显眼的备注信息"
            }
        ]
    }
}
```
##### 返回参数说明
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ResultCode|integer|true|none|请求结果代码|详细信息请查看类型枚举/请求结果代码枚举，默认200为操作成功|
| ResultMsg|string|true|none|请求提示信息|接口请求返回的信息提示|
| ResultId|string|true|none|请求响应结果标识|每一次进行接口请求时，响应本次处理的标识|
| Data|object¦null|false|none|具体数据|对应接口响应的数据对象|

##### 返回示例

```
{
    "ResultCode": 200,
    "ResultMsg": "订单号[1709026812512789-SSS888]更新场内记录成功！",
    "ResultId": "1762306549106114560"
}
```