##### 简要描述

- 该接口用于实现通知对软件的车牌优惠进行新增、更新、删除

##### 请求URL
- ` http://localhost:8888/Api/V2/OpenApi/Notice `
  
##### 请求方式
- POST 

##### 请求类型
- Content-Type：application/json 

##### 请求参数

------------

**Query参数**

| 参数名  | 类型  | 示例值  | 说明  |
| ------------ | ------------ | ------------ |------------ |
| Route  | string  | PlateCoupon  |接口路由|

**Body参数**

| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                  |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------------------------------- |
| ParkKey|body|string| yes | 停车场编号|本地停车场编号|
| AppId|body|string| yes | 应用服务标识|本地停车场应用服务标识|
| TimeStamp|body|string| yes | 时间戳|时间戳13位，精确到毫秒|
| Nonce|body|string| yes | 随机字符串|随机字符串|
| Sign|body|string| yes | 接口签名|按照接口鉴权生成的签名|
| Data|body|object| yes | 具体数据|对应接口发送的数据对象|
|» NoticeType|body|integer| yes | 通知类型|通知类型：0.新增或更新 1.删除|
|» Items|body|[object]| yes | 通知数据集合|通知数据集合|
|»» No|body|string| yes | 记录编号|表示当前记录的编号，唯一值|
|»» CouponSchemeNo|body|string| yes | 优惠券方案编号|优惠券方案编号|
|»» Type|body|string| yes | 优惠劵打折类型|优惠劵打折类型（101优惠金额,102优惠时长,103优惠比例,104免费到指定时间）|
|»» Value|body|number| yes | 优惠额度|如果是优惠金额时，表示金额，单位元；|
|»» StartTime|body|string¦null| yes | 开始时间|开始时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» EndTime|body|string¦null| yes | 结束时间|结束时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» OrderNo|body|string¦null| yes | 停车订单|车辆入场时创建的唯一停车订单|
|»» LicensePlateNumber|body|string¦null| yes | 车牌号码|车牌号码，注意，车牌号码入参时，默认都转换成大写|
|»» BusinessName|body|string| yes | 商家名称|商家名称|
|»» CreationTime|body|string| yes | 创建时间|创建数据的时间|
|»» Remarks|body|string¦null| yes | 备注信息|备注信息|


##### 请求示例
```
{
    "ParkKey": "{{parkkey}}",
    "AppId": "{{appid}}",
    "TimeStamp": "{{timestamp}}",
    "Nonce": "qwerffywdlxv",
    "Sign": "htdjnlwpsukorgbwyftuiydo",
    "Data": {
        "NoticeType": 0,
        "Items": [
            {
                "No": "32000020140129785X",
                "CouponSchemeNo": "test",
                "Type": "101",
                "Vaule": 10,
                "StartTime": "2024-02-18 14:49:39",
                "EndTime": "2024-02-18 14:49:39",
                "OrderNo": "1668010507727935-B12345",
                "LicensePlateNumber": "粤B12345",
                "BusinessName": "test商家",
                "CreationTime": "2024-02-18 14:49:39",
                "Remarks": "这是一个显眼的备注信息"
            }
        ]
    }
}
```
##### 返回参数说明
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ResultCode|integer|true|none|请求结果代码|详细信息请查看类型枚举/请求结果代码枚举，默认200为操作成功|
| ResultMsg|string|true|none|请求提示信息|接口请求返回的信息提示|
| ResultId|string|true|none|请求响应结果标识|每一次进行接口请求时，响应本次处理的标识|
| Data|object¦null|false|none|具体数据|对应接口响应的数据对象|

##### 返回示例

```
{
    "ResultCode": 200,
    "ResultMsg": "本次新增或更新操作成功！",
    "ResultId": "1762307804167700480"
}
```