##### 简要描述

- 该接口用于实现管理新增、更新、删除商家车记录


	注：该接口请使用V2.3.1 240511及之后版本，并需上传车牌类型和车辆类型编码。

##### 请求URL
- ` http://localhost:8888/Api/V2/OpenApi/Notice `
  
##### 请求方式
- POST 

##### 请求类型
- Content-Type：application/json 

##### 请求参数

------------

**Query参数**

| 参数名  | 类型  | 示例值  | 说明  |
| ------------ | ------------ | ------------ |------------ |
| Route  | string  | BusinessCar  |接口路由|

**Body参数**

| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ParkKey|body|string| yes | 停车场编号|本地停车场编号|
| AppId|body|string| yes | 应用服务标识|本地停车场应用服务标识|
| TimeStamp|body|string| yes | 时间戳|时间戳13位，精确到毫秒|
| Nonce|body|string| yes | 随机字符串|随机字符串|
| Sign|body|string| yes | 接口签名|按照接口鉴权生成的签名|
| Data|body|object| yes | 具体数据|对应接口发送的数据对象|
|» NoticeType|body|integer| yes | 通知类型|通知类型：0.新增或更新 1.删除|
|» Items|body|[object]| yes | 通知数据集合|通知数据集合|
|»» No|body|string| yes | 记录编号|表示当前记录的编号，唯一值|
|»» LicensePlateNumber|body|string¦null| yes | 车牌号码|车牌号码，注意，车牌号码入参时，默认都转换成大写|
|»» OrderNo|body|string¦null| yes | 商家车订单号|商家车订单号|
|»» StartTime|body|string¦null| yes | 开始时间|开始时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» EndTime|body|string¦null| yes | 结束时间|结束时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» BusinessNo|body|string| yes | 商家编号|商家编号|
|»» BusinessName|body|string| yes | 商家名称|商家名称|
|»» Remarks|body|string¦null| yes | 备注信息|备注信息|
|»» PhoneNumber|body|string| yes | 手机号码|手机号码|
|»» UseSpace|body|boolean| yes | 是否占用车位|是否占用车位|
|»» PersonNumber|body|string| yes | 同行人数|同行人数|
|»» VehicleTypeNo|body|string| yes | 车辆类型|对应软件的车辆类型编码，如：蓝牌车|
|»» ParkingCardTypeNo|body|string| yes | 车牌类型|对应软件的车牌类型编码，如：商家车|
|»» CreationTime|body|string| yes | 创建时间|创建数据的时间|
|»» OperatorName|body|string¦null| yes | 操作人姓名|操作人姓名|

##### 请求示例
```
{
    "ParkKey": "{{parkkey}}",
    "AppId": "{{appid}}",
    "TimeStamp": "{{timestamp}}",
    "Nonce": "leypybapdqfi",
    "Sign": "lusjynkykrhmjlsmkrxkbsfv",
    "Data": {
        "NoticeType": 0,
        "Items": [
            {
                "No": "520000200805105423",
                "LicensePlateNumber": "粤B12345",
                "OrderNo": "1668010507727935-B12345",
                "StartTime": "2024-02-27 11:58:25",
                "EndTime": "2024-02-27 12:58:25",
                "BusinessNo": "SJC0001",
                "BusinessName": "sjc",
                "Remarks": "这是一个显眼的备注信息",
                "UseSpace": false,
                "PersonNumber": "6",
                "CreationTime": "2024-02-27 10:58:25",
                "OperatorName": "邵123",
				"VehicleTypeNo":"1700929137942688",
				"ParkingCardTypeNo":"1700929137941769"
            }
        ]
    }
}
```
##### 返回参数说明
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ResultCode|integer|true|none|请求结果代码|详细信息请查看类型枚举/请求结果代码枚举，默认200为操作成功|
| ResultMsg|string|true|none|请求提示信息|接口请求返回的信息提示|
| ResultId|string|true|none|请求响应结果标识|每一次进行接口请求时，响应本次处理的标识|
| Data|object¦null|false|none|具体数据|对应接口响应的数据对象|

##### 返回示例

```
{
    "ResultCode": 200,
    "ResultMsg": "本次新增或更新操作成功！",
    "ResultId": "1762311443884048384"
}
```