##### 简要描述

- 该接口用于通知控制车道道闸状态

##### 请求URL
- ` http://localhost:8888/Api/V2/OpenApi/SetLaneGateStatus `
  
##### 请求方式
- POST 

##### 请求类型
- Content-Type：application/json 

##### 请求参数

------------
**Body参数**

| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                  |
| -------------- | ------------------ | -------------- | -------- | --------------- |--------------- |
| ParkKey|body|string| yes | 停车场编号|本地停车场编号|
| AppId|body|string| yes | 应用服务标识|本地停车场应用服务标识|
| TimeStamp|body|string| yes | 时间戳|时间戳13位，精确到毫秒|
| Nonce|body|string| yes | 随机字符串|随机字符串|
| Sign|body|string| yes | 接口签名|按照接口鉴权生成的签名|
| Data|body|object| yes | 具体数据|对应接口发送的数据对象|
|» LaneNo|body|string| yes | 车道编号|车道编号|
|» Status|body|integer| yes | 设置道闸状态|设置道闸状态 0,关闸 1,开闸 2,控制常开(如果当前已经处于道闸常开，发送该指令则取消道闸常开)|
|» OperatorName|body|string¦null| yes | 操作人姓名|操作人姓名|


##### 请求示例
```
{
    "ParkKey": "{{parkkey}}",
    "AppId": "{{appid}}",
    "TimeStamp": "{{timestamp}}",
    "Nonce": "ttmbfjpccsge",
    "Sign": "dyycxibsyxbmlshkmgbpespk",
    "Data": {
        "LaneNo": "1",
        "Status": 1
    }
}
```
##### 返回参数说明
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ResultCode|integer|true|none|请求结果代码|详细信息请查看类型枚举/请求结果代码枚举，默认200为操作成功|
| ResultMsg|string|true|none|请求提示信息|接口请求返回的信息提示|
| ResultId|string|true|none|请求响应结果标识|每一次进行接口请求时，响应本次处理的标识|
| Data|object¦null|false|none|具体数据|对应接口响应的数据对象|

##### 返回示例

```
{
    "ResultCode": 200,
    "ResultMsg": "[入口相机]开闸成功！",
    "ResultId": "1762356840027422720"
}
```