##### 简要描述

- 调用该接口，则停车场本地开放接口服务将重新尝试推送指定日期内执行回调通知失败的业务。
- 本接口30分钟内只能调用一次。

##### 请求URL
- ` http://localhost:8888/Api/V2/OpenApi/RetryCallback `
  
##### 请求方式
- POST 

##### 请求类型
- Content-Type：application/json 

##### 请求参数

------------

**Body参数**

| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ParkKey|body|string| yes | 停车场编号|本地停车场编号|
| AppId|body|string| yes | 应用服务标识|本地停车场应用服务标识|
| TimeStamp|body|string| yes | 时间戳|时间戳13位，精确到毫秒|
| Nonce|body|string| yes | 随机字符串|随机字符串|
| Sign|body|string| yes | 接口签名|按照接口鉴权生成的签名|
| Data|body|object| yes | 具体数据|对应接口发送的数据对象|
|» StartTime|body|string¦null| yes | 开始时间|开始时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|» EndTime|body|string¦null| yes | 结束时间|结束时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|» RefreshTypes|body|[object]| no | 重新拉取的回调类型|参考类型枚举/回调接口枚举的序号，如为空则表示拉取全部的回调类型|
|»» Index|body|integer| yes | 回调接口枚举序号|详细请看类型枚举/回调接口枚举|

##### 请求示例
```
{
    "ParkKey": "{{parkkey}}",
    "AppId": "{{appid}}",
    "TimeStamp": "{{timestamp}}",
    "Nonce": "vqnkpzhigqhm",
    "Sign": "rcjmptcxcqaqszkczkotjuny",
    "Data": {
        "StartTime": "2023-02-26 11:55:20",
        "EndTime": "2023-02-27 14:02:20",
        "RefreshTypes": [
            {
                "Index": 1
            }
        ]
    }
}
```
##### 返回参数说明
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ResultCode|integer|true|none|请求结果代码|详细信息请查看类型枚举/请求结果代码枚举，默认200为操作成功|
| ResultMsg|string|true|none|请求提示信息|接口请求返回的信息提示|
| ResultId|string|true|none|请求响应结果标识|每一次进行接口请求时，响应本次处理的标识|
| Data|object¦null|false|none|具体数据|对应接口响应的数据对象|

##### 返回示例

```
{
  "ResultCode": 200,
  "ResultMsg": "操作成功",
  "ResultId": 500303426998439
}
```