##### 简要描述

- 第三方停车业务接收车场车位变动回调通知接口定义规范
- 如果未实现该接口，请不要在设置回调参数中启用该接口，避免无意义的数据通知操作！

##### 示例URL

- ` {{第三方URL}}，示例URL：http://localhost:8888/API/V2/OnParkingSpaces `

	
	注：此处url指的是软件回调给第三方的URL，即第三方要接收软件上传数据的地址；

##### 请求方式
- POST 

##### 请求类型
- Content-Type：application/json 

##### 回调参数说明

------------
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ParkKey|body|string| yes | 停车场编号|本地停车场编号|
| AppId|body|string| yes | 应用服务标识|本地停车场应用服务标识|
| TimeStamp|body|string| yes | 时间戳|时间戳13位，精确到毫秒|
| Nonce|body|string| yes | 随机字符串|随机字符串|
| Sign|body|string| yes | 接口签名|按照接口鉴权生成的签名|
| Data|body|object| yes | 具体数据|对应接口发送的数据对象|
|» TotalSpaces|body|integer| yes | 车场总车位|车场总车位|
|» RemainingSpaces|body|integer| yes | 车场剩余车位|车场剩余车位|
|» AreaSpaces|body|[object]| yes | 区域停车车位信息|区域停车车位信息|
|»» AreaNo|body|string| yes | 区域编号|区域编号|
|»» AreaName|body|string| yes | 区域名称|区域名称|
|»» TotalSpaces|body|integer| yes |总车位数|none|
|»» RemainingSpaces|body|integer| yes |剩余车位数|none|
|» CarCardTypeSpaces|body|[object]| yes |车牌类型车位数|none|
|»» AreaCarCardTypeName|body|string| yes | 区域名称+车牌类型名称|区域名称+车牌类型名称，如：外场临时车A|
|»» AreaNo|body|string| yes | 区域编号|区域编号|
|»» UseSpaces|body|integer| yes | 已经占用车位数量|已经占用车位数量，就是该车牌类型在该区域已经停车的数量|

##### 回调参数示例
```
{
	"ParkKey":"1708773681705596",
	"AppId":"p226uwb3",
	"TimeStamp":"1709016268737",
	"Data":{
		"TotalSpaces":500,
		"RemainingSpaces":495,
		"AreaSpaces":
			[{
				"AreaNo":"1708773681832919",
				"AreaName":"外场",
				"TotalSpaces":500,
				"RemainingSpaces":495
			}],
		"CarCardTypeSpaces":
			[{
				"AreaCarCardTypeName":"[外场] [临时车A] 数量",
				"AreaNo":"1708773681832919",
				"UseSpaces":5
			}]
		},
	"Nonce":"1762368082486001664",
	"Sign":"g/qyib2iy5hkqrmgsfrh9wfcyrgde+3wyhj9py79pky="
}

```

##### 回调返回说明
| 参数               | 类型                | 参数名               | 是否必填 | 描述                                                         |
| ------------------ | ------------------- | -------------------- | -------- | ------------------------------------------------------------ |
| ResultCode|integer|true|none|请求结果代码|详细信息请查看类型枚举/请求结果代码枚举，默认200为操作成功|
| ResultMsg|string|true|none|请求提示信息|接口请求返回的信息提示|
| Data|object¦null|false|none|具体数据|对应接口响应的数据对象|

##### 返回示例

```
{
  "ResultCode": 200,
  "ResultMsg": "操作成功"
}
```