### 字符集
接口使用`UTF-8`字符编码。

### 字段命名规则
接口相关参数字段均采用帕斯卡（Pascal）命名法，与骆驼命名法类似只不过骆驼命名法是首字母小写，而帕斯卡命名法是首字母大写，如：`FistName，LastName，UserName`

### 请求的唯一标识
停车场本地开放接口给每个接收到的请求分配了一个唯一标识。请求的唯一标识包含在应答的`ResultId`中。当需要停车场接口开发帮助时，请提供请求的唯一标识和相关的停车场日志，以便我们更快的定位到具体的请求。

### 日期格式
所有的日期对象，所定义的格式示例：
```js
yyyy-MM-dd HH:mm:ss
yyyy-MM-dd HH:mm:ss:fff
yyyy-MM-dd
```

功能说明

| 功能分类	| 实现方式| 
| ---------- | ------------ |
| 回调通知相关接口	| 回调通知功能仅通过HTTP协议实现，MQTT协议不提供此功能实现。| 
| 查询数据相关接口| 	MQTT实现所有HTTP相关接口| 
| 通知数据相关接口| 	MQTT实现所有HTTP相关接口| 

### 主题说明
**注：后面文档参考示例，默认订阅主题为：fabu，发布主题为：dingyue**

| 主题       | 说明        |
| ---------- | ------------ |
| 订阅主题   | 指定MQTT客户端将订阅由服务端发布的主题，以接收相应信息。 |
| 发布主题   | 指定MQTT客户端向服务端预先配置的主题发送信息的操作。 |

	软件的订阅，对应服务端的发布，软件的发布，对应服务端的订阅，可参考下图：
![](/uploads/202410/uploads/parking/images/m_e7f83199a679d3d839343b16a7545a2c_r.png)

### 订阅主题接收数据说明

	注意：请求中的唯一标识RequestId对应响应中的ResultId
	
	
### 关于结构体中的Data说明
	根据相关的路由查找对应的http api接口，两者中的Data结构完全相同

### 关于响应数据结构
	根据相关的路由查找对应的http api接口，两者中的响应结构体完全相同