##### 简要描述

- 该接口用于查询商家车记录

##### 服务端发布主题

- 请参考软件所填的MQTT订阅主题

##### 服务端发布给软件的参数
	注：Route 值 为   BusinessCarQuery
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ParkKey|body|string| yes | 停车场编号|本地停车场编号|
| AppId|body|string| yes | 应用服务标识|本地停车场应用服务标识|
| TimeStamp|body|string| yes | 时间戳|时间戳13位，精确到毫秒|
| Nonce|body|string| yes | 随机字符串|随机字符串|
| RequestId|body|string| yes | 请求序号标识|每一次进行接口请求时，响应时与本次请求的标识一致，不能重复和传固定值|
| Sign|body|string| yes | 接口签名|接口签名|
| Route|body|string| yes | 操作路由|操作路由|
| Data|body|object| yes | 具体数据|对应接口发送的数据对象|
|» PageIndex|body|integer| yes | 获取指定页|获取指定页,为了方便记忆,序号从1开始|
|» PageSize|body|integer| yes | 获取的每页大小|默认20条，最大100条|
|» OrderBy|body|string| no | 排序的字段|排序的字段，不填写这使用默认的排序方式|
|» OrderType|body|integer| yes | 排序的方式|排序的方式，0 是ASC，1是DESC|
|» QueryCondition|body|[object]| no | 查询条件集合|查询条件集合|
|»» Field|body|string| yes | 查询字段|查询字段|
|»» Operator|body|integer| yes | 查询操作符|查询操作符，详细请看类型枚举/查询操作符枚举|
|»» Value|body|string| yes | 查询值|查询值，请根据字段的类型输入正确的值|


##### 请求示例
```
{
  "ParkKey": "{{parkkey}}",
  "AppId": "{{appid}}",
  "TimeStamp": "{{timestamp}}",
  "Nonce": "npftnynhectn",
  "Sign": "rsjksbdbgcxmwetuiksanfft",
  "RequestId":"1710898212",
  "Route":"BusinessCarQuery",
  "Data": {
    "PageIndex": 1,
    "PageSize": 25,
    "OrderType": 0
  }
}
```
##### 软件回复主题

- 请参考软件所填的MQTT发布主题

##### 回复参数说明
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ResultCode|integer|true|none|请求结果代码|详细信息请查看类型枚举/请求结果代码枚举，默认200为操作成功|
| ResultMsg|string|true|none|请求提示信息|接口请求返回的信息提示|
| ResultId|string|true|none|请求响应结果标识|每一次进行接口请求时，响应本次处理的标识|
| Data|object¦null|false|none|具体数据|对应接口响应的数据对象|
|» PageIndex|integer|true|none|当前页码|当前页,为了方便记忆,序号从1开始|
|» PageSize|integer|true|none|每页数据量|每页数据量|
|» TotalCount|integer|true|none|总数据量|总数据量|
|» Results|[object]¦null|false|none|当前查询数据结果|当前查询数据结果|
|»» Uid|integer|true|none|记录唯一主键|当前记录唯一主键|
|»» No|string|true|none|记录编号|表示当前记录的编号，唯一值|
|»» LicensePlateNumber|string¦null|true|none|车牌号码|车牌号码，注意，车牌号码入参时，默认都转换成大写|
|»» OrderNo|string¦null|true|none|商家车订单号|商家车订单号|
|»» VehicleTypeNo|string¦null|true|none|车辆类型编号|车辆类型编号|
|»» VehicleTypeName|string¦null|true|none|车辆类型名称|车辆类型名称|
|»» ParkingCardTypeNo|string¦null|true|none|车牌类型编号|车牌类型编号|
|»» ParkingCardTypeName|string¦null|true|none|车牌类型名称|车牌类型名称|
|»» StartTime|string¦null|true|none|开始时间|开始时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» EndTime|string¦null|true|none|结束时间|结束时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» RelEntryTime|string¦null|true|none|实际的入场时间|实际的入场时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» RelExitTime|string¦null|true|none|实际的出场时间|实际的出场时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» Status|integer|true|none|商家车状态|商家车状态，0-已添加，1-已入场，2-已过期，3-已取消|
|»» BusinessNo|string¦null|true|none|商家编号|商家编号|
|»» BusinessName|string|true|none|商家名称|商家名称|
|»» PhoneNumber|string|true|none|手机号码|手机号码|
|»» Remarks|string¦null|true|none|备注信息|备注信息|
|»» Mode|integer|true|none|创建方式|创建方式，1-智慧停车平台创建，2-公众号创建，3-APP创建，4-小程序创建，5-线下创建|
|»» UseSpace|boolean|true|none|是否占用车位|是否占用车位|
|»» PersonNumber|integer|true|none|同行人数|同行人数|
|»» CreationTime|string|true|none|创建时间|创建数据的时间|
|»» CancelTime|string¦null|true|none|取消预约的时间|取消预约的时间|
|»» OperatorName|string¦null|true|none|操作人姓名|操作人姓名|

##### 返回示例

```
{
    "ResultCode": 200,
    "ResultMsg": "查询数据成功！",
    "ResultId": "1710898212",
    "Data": {
        "PageIndex": 1,
        "PageSize": 25,
        "TotalCount": 1,
        "Results": [
            {
                "Uid": 1,
                "No": "1708977780535293",
                "LicensePlateNumber": "粤SJC111",
                "OrderNo": "",
                "VehicleTypeNo": "1708773681734708",
                "VehicleTypeName": "蓝牌车",
                "ParkingCardTypeNo": "1708773681731205",
                "ParkingCardTypeName": "商家车",
                "StartTime": "2024-02-26 20:32:00",
                "EndTime": "2024-02-26 21:32:00",
                "RelEntryTime": null,
                "RelExitTime": null,
                "Status": 0,
                "BusinessNo": null,
                "BusinessName": "admin",
                "PhoneNumber": "",
                "Remarks": "",
                "Mode": 5,
                "UseSpace": false,
                "PersonNumber": 1,
                "CreationTime": "2024-02-26 20:03:00",
                "CancelTime": null,
                "OperatorName": "超级管理员"
            }
        ]
    }
}
```