##### 简要描述

- 该接口用于查询黑名单记录

##### 服务端发布主题

- 请参考软件所填的MQTT订阅主题

##### 服务端发布给软件的参数
	注：Route 值 为   BlackListQuery

| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ParkKey|body|string| yes | 停车场编号|本地停车场编号|
| AppId|body|string| yes | 应用服务标识|本地停车场应用服务标识|
| TimeStamp|body|string| yes | 时间戳|时间戳13位，精确到毫秒|
| Nonce|body|string| yes | 随机字符串|随机字符串|
| RequestId|body|string| yes | 请求序号标识|每一次进行接口请求时，响应时与本次请求的标识一致，不能重复和传固定值|
| Sign|body|string| yes | 接口签名|接口签名|
| Route|body|string| yes | 操作路由|操作路由|
| Data|body|object| yes | 具体数据|对应接口发送的数据对象|
|» PageIndex|body|integer| 是 | 获取指定页|获取指定页,为了方便记忆,序号从1开始|
|» PageSize|body|integer| 是 | 获取的每页大小|默认20条，最大100条|
|» OrderBy|body|string| 否 | 排序的字段|排序的字段，不填写这使用默认的排序方式|
|» OrderType|body|integer| 是 | 排序的方式|排序的方式，0 是ASC，1是DESC|
|» QueryCondition|body|[object]| 否 | 查询条件集合|查询条件集合|
|»» Field|body|string| 是 | 查询字段|查询字段|
|»» Operator|body|integer| 是 | 查询操作符|查询操作符，详细请看类型枚举/查询操作符枚举|
|»» Value|body|string| 是 | 查询值|查询值，请根据字段的类型输入正确的值|


##### 请求示例
```
{
  "ParkKey": "{{parkkey}}",
  "AppId": "{{appid}}",
  "TimeStamp": "{{timestamp}}",
  "Nonce": "vklredhywheh",
  "Sign": "ciyyfhnhigsphesubmdxmqff",
  "RequestId":"1710898221",
  "Route":"BlackListQuery",
  "Data": {
    "PageIndex": 1,
    "PageSize": 25,
    "OrderBy": "Uid",
    "OrderType": 0,
    "QueryCondition": [
      {
        "Field": "No",
        "Operator": 2,
        "Value": "1"
      }
    ]
  }
}
```
##### 软件回复主题

- 请参考软件所填的MQTT发布主题

##### 回复参数说明
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ResultCode|integer|true|none|请求结果代码|详细信息请查看类型枚举/请求结果代码枚举，默认200为操作成功|
| ResultMsg|string|true|none|请求提示信息|接口请求返回的信息提示|
| ResultId|string|true|none|请求响应结果标识|每一次进行接口请求时，响应本次处理的标识|
| Data|object¦null|false|none|具体数据|对应接口响应的数据对象|
|» PageIndex|integer|true|none|当前页码|当前页,为了方便记忆,序号从1开始|
|» PageSize|integer|true|none|每页数据量|每页数据量|
|» TotalCount|integer|true|none|总数据量|总数据量|
|» Results|[object]¦null|false|none|当前查询数据结果|当前查询数据结果|
|»» Uid|integer|true|none|记录唯一主键|当前记录唯一主键|
|»» No|string|true|none|记录编号|表示当前记录的编号，唯一值|
|»» LicensePlateNumber|string¦null|true|none|车牌号码|车牌号码，注意，车牌号码入参时，默认都转换成大写|
|»» OwnerName|string¦null|true|none|联系人姓名|联系人姓名|
|»» PhoneNumber|string|true|none|手机号码|手机号码|
|»» StartTime|string¦null|true|none|开始时间|开始时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» EndTime|string¦null|true|none|结束时间|结束时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» Remarks|string¦null|true|none|备注信息|备注信息|
|»» CreationTime|string|true|none|添加时间|添加时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» OperatorName|string¦null|true|none|操作人姓名|操作人姓名|
|»» Status|integer|true|none|黑名单状态|状态值，1-已启用，0-已注销|

##### 返回示例

```
{
    "ResultCode": 200,
    "ResultMsg": "查询数据成功！",
    "ResultId": "1710898221",
    "Data": {
        "PageIndex": 1,
        "PageSize": 25,
        "TotalCount": 1,
        "Results": [
            {
                "Uid": 1,
                "No": "BL1708977771639500",
                "LicensePlateNumber": "粤QQQ111",
                "OwnerName": "",
                "PhoneNumber": "",
                "StartTime": "2024-02-26 00:00:00",
                "EndTime": "2024-02-28 00:00:00",
                "Remarks": "测试",
                "CreationTime": "2024-02-26 20:02:51",
                "OperatorName": "超级管理员",
                "Status": 1
            }
        ]
    }
}
```