##### 简要描述

- 该接口用于查询特殊的开闸记录

##### 服务端发布主题

- 请参考软件所填的MQTT订阅主题

##### 服务端发布给软件的参数
	注：Route 值 为   OpenGateQuery

| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ParkKey|body|string| yes | 停车场编号|本地停车场编号|
| AppId|body|string| yes | 应用服务标识|本地停车场应用服务标识|
| TimeStamp|body|string| yes | 时间戳|时间戳13位，精确到毫秒|
| Nonce|body|string| yes | 随机字符串|随机字符串|
| RequestId|body|string| yes | 请求序号标识|每一次进行接口请求时，响应时与本次请求的标识一致，不能重复和传固定值|
| Sign|body|string| yes | 接口签名|接口签名|
| Route|body|string| yes | 操作路由|操作路由|
| Data|body|object| yes | 具体数据|对应接口发送的数据对象|
|» PageIndex|body|integer| yes | 获取指定页|获取指定页,为了方便记忆,序号从1开始|
|» PageSize|body|integer| yes | 获取的每页大小|默认20条，最大100条|
|» OrderBy|body|string| no | 排序的字段|排序的字段，不填写这使用默认的排序方式|
|» OrderType|body|integer| yes | 排序的方式|排序的方式，0 是ASC，1是DESC|
|» QueryCondition|body|[object]| no | 查询条件集合|查询条件集合|
|»» Field|body|string| yes | 查询字段|查询字段|
|»» Operator|body|integer| yes | 查询操作符|查询操作符，详细请看类型枚举/查询操作符枚举|
|»» Value|body|string| yes | 查询值|查询值，请根据字段的类型输入正确的值|

##### 请求示例

```
{
  "ParkKey": "{{parkkey}}",
  "AppId": "{{appid}}",
  "TimeStamp": "{{timestamp}}",
  "Nonce": "putddhwingur",
  "Sign": "crhhiaizfiwykudnvfmnonjc",
  "RequestId":"1710898262",
  "Route":"OpenGateQuery",
  "Data": {
        "PageIndex": 1,
        "PageSize": 25,
        "OrderBy": "Uid",
        "OrderType": 0,
        "QueryCondition": [
            {
                "Field": "Uid",
                "Operator": 3,
                "Value": "1"
            }
        ]
    }
}
```
##### 软件回复主题

- 请参考软件所填的MQTT发布主题

##### 回复参数说明
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ResultCode|integer|true|none|请求结果代码|详细信息请查看类型枚举/请求结果代码枚举，默认200为操作成功|
| ResultMsg|string|true|none|请求提示信息|接口请求返回的信息提示|
| ResultId|string|true|none|请求响应结果标识|每一次进行接口请求时，响应本次处理的标识|
| Data|object|false|none|具体数据|对应接口响应的数据对象|
|» PageIndex|integer|true|none|当前页码|当前页,为了方便记忆,序号从1开始|
|» PageSize|integer|true|none|每页数据量|每页数据量|
|» TotalCount|integer|true|none|总数据量|总数据量|
|» Results|[object]|true|none|当前查询数据结果|当前查询数据结果|
|»» Uid|integer|true|none|记录唯一主键|当前记录唯一主键|
|»» No|string|true|none|记录编号|表示当前记录的编号，唯一值|
|»» GateSwitchType|integer|true|none|人工开关闸类型|详细信息查看类型枚举/人工开关闸类型枚举|
|»» OrderNo|string¦null|true|none|停车订单|车辆入场时创建的唯一停车订单|
|»» LicensePlateNumber|string¦null|true|none|车牌号码|车牌号码，注意，车牌号码入参时，默认都转换成大写|
|»» PassageLaneNo|string|true|none|通行车道编号|通行车道编号|
|»» PassageLaneName|string|true|none|通行车道名称|通行车道名称|
|»» DeviceNo|string¦null|true|none|设备编号|设备编号|
|»» DeviceName|string¦null|true|none|设备名称|设备名称|
|»» VehicleTypeNo|string¦null|true|none|车辆类型编号|车辆类型编号|
|»» VehicleTypeName|string¦null|true|none|车辆类型名称|车辆类型名称|
|»» ParkingCardTypeNo|string¦null|true|none|车牌类型编号|车牌类型编号|
|»» ParkingCardTypeName|string¦null|true|none|车牌类型名称|车牌类型名称|
|»» SpecialVehicleNo|string¦null|true|none|特殊车辆编号|特殊车辆编号|
|»» SpecialVehicleName|string¦null|true|none|特殊车辆名称|特殊车辆名称|
|»» PassageImageUrl|string|true|none|通行抓拍图片地址|通行抓拍图片地址，这里是本地局域网内的HTTP地址|
|»» PassageTime|string|true|none|通行时间|通行时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» OperatorName|string¦null|true|none|操作人姓名|操作人姓名|
|»» OperationTime|string|true|none|操作时间|操作时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» Remarks|string¦null|true|none|备注信息|备注信息|
|»» TotalAmountPaid|number|true|none|已支付总金额 |这里是指无牌车出场后收取的总金额|

##### 返回示例

```
{
    "ResultCode": 200,
    "ResultMsg": "查询数据成功！",
    "ResultId": "1710898262",
    "Data": {
        "PageIndex": 1,
        "PageSize": 25,
        "TotalCount": 1,
        "Results": [
            {
                "Uid": 43,
                "No": "ER1708960522325707",
                "GateSwitchType": 1,
                "OrderNo": null,
                "LicensePlateNumber": null,
                "PassageLaneNo": "2",
                "PassageLaneName": "出口车道",
                "DeviceNo": "1708773681726765",
                "DeviceName": "出口相机",
                "VehicleTypeNo": null,
                "VehicleTypeName": null,
                "ParkingCardTypeNo": "1708773681731663",
                "ParkingCardTypeName": "临时车A",
                "SpecialVehicleNo": "",
                "SpecialVehicleName": "",
                "PassageImageUrl": "http://192.168.22.247:8888/CameraCaptures/1708773681705853/202402/26/5384007b3020240226151522002B47D_Online.jpg",
                "PassageTime": "2024-02-26 15:15:22",
                "OperatorName": "admin",
                "OperationTime": "2024-02-26 15:15:22",
                "Remarks": "[出口相机]开闸成功！",
                "TotalAmountPaid": 0.00
            }
        ]
    }
}
```