##### 简要描述

- 该接口用于查询车牌优惠券记录

##### 服务端发布主题

- 请参考软件所填的MQTT订阅主题

##### 服务端发布给软件的参数
	注：Route 值 为   PlateCouponQuery

| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ParkKey|body|string| yes | 停车场编号|本地停车场编号|
| AppId|body|string| yes | 应用服务标识|本地停车场应用服务标识|
| TimeStamp|body|string| yes | 时间戳|时间戳13位，精确到毫秒|
| Nonce|body|string| yes | 随机字符串|随机字符串|
| RequestId|body|string| yes | 请求序号标识|每一次进行接口请求时，响应时与本次请求的标识一致，不能重复和传固定值|
| Sign|body|string| yes | 接口签名|接口签名|
| Route|body|string| yes | 操作路由|操作路由|
| Data|body|object| yes | 具体数据|对应接口发送的数据对象|
|» PageIndex|body|integer| yes | 获取指定页|获取指定页,为了方便记忆,序号从1开始|
|» PageSize|body|integer| yes | 获取的每页大小|默认20条，最大100条|
|» OrderBy|body|string| no | 排序的字段|排序的字段，不填写这使用默认的排序方式|
|» OrderType|body|integer| yes | 排序的方式|排序的方式，0 是ASC，1是DESC|
|» QueryCondition|body|[object]| no | 查询条件集合|查询条件集合|
|»» Field|body|string| yes | 查询字段|查询字段|
|»» Operator|body|integer| yes | 查询操作符|查询操作符，详细请看类型枚举/查询操作符枚举|
|»» Value|body|string| yes | 查询值|查询值，请根据字段的类型输入正确的值|


##### 请求示例
```
{
  "ParkKey": "{{parkkey}}",
  "AppId": "{{appid}}",
  "TimeStamp": "{{timestamp}}",
  "Nonce": "vfqiyhqeimdl",
  "Sign": "llhmlakqxxgybgdlrewjamhm",
  "RequestId":"1710898280",
  "Route":"PlateCouponQuery",
  "Data": {
    "PageIndex": 1,
    "PageSize": 25,
    "OrderBy": "Uid",
    "OrderType": 0,
    "QueryCondition": [
      {
        "Field": "Uid",
        "Operator": 3,
        "Value": "1"
      }
    ]
  }
}
```
##### 软件回复主题

- 请参考软件所填的MQTT发布主题

##### 回复参数说明
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ResultCode|integer|true|none|请求结果代码|详细信息请查看类型枚举/请求结果代码枚举，默认200为操作成功|
| ResultMsg|string|true|none|请求提示信息|接口请求返回的信息提示|
| ResultId|string|true|none|请求响应结果标识|每一次进行接口请求时，响应本次处理的标识|
| Data|object¦null|false|none|具体数据|对应接口响应的数据对象|
|» PageIndex|integer|true|none|当前页码|当前页,为了方便记忆,序号从1开始|
|» PageSize|integer|true|none|每页数据量|每页数据量|
|» TotalCount|integer|true|none|总数据量|总数据量|
|» Results|[object]¦null|false|none|当前查询数据结果|当前查询数据结果|
|»» Uid|integer|true|none|记录唯一主键|当前记录唯一主键|
|»» No|string|true|none|记录编号|表示当前记录的编号，唯一值|
|»» CouponSchemeNo|string|true|none|优惠券方案编号|优惠券方案编号|
|»» Type|string|true|none|优惠劵打折类型|优惠劵打折类型（101优惠金额,102优惠时长,103优惠比例,104免费到指定时间）|
|»» Value|number|true|none|优惠额度|如果是优惠金额时，表示金额，单位元；如果是优惠时间时，表示时间，单位分钟；如果是优惠打折时，表示优惠折扣，折扣大于0小于10|
|»» StartTime|string¦null|true|none|开始时间|开始时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» EndTime|string¦null|true|none|结束时间|结束时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» OrderNo|string¦null|true|none|停车订单|车辆入场时创建的唯一停车订单|
|»» LicensePlateNumber|string¦null|true|none|车牌号码|车牌号码，注意，车牌号码入参时，默认都转换成大写|
|»» BusinessName|string¦null|true|none|商家名称|商家名称|
|»» CreationTime|string|false|none|创建时间|创建数据的时间|
|»» Remarks|string¦null|true|none|备注信息|备注信息|

##### 返回示例

```
{
    "ResultCode": 200,
    "ResultMsg": "查询数据成功！",
    "ResultId": "1710898280",
    "Data": {
        "PageIndex": 1,
        "PageSize": 25,
        "TotalCount": 1,
        "Results": [
            {
                "Uid": 1,
                "No": "CF1709029333459440",
                "CouponSchemeNo": "1709029326384772",
                "Type": "101",
                "Value": 1.00,
                "StartTime": null,
                "EndTime": null,
                "OrderNo": "1709026812512789-SSS888",
                "LicensePlateNumber": "粤SSS888",
                "BusinessName": null,
                "CreationTime": "2024-02-27 10:22:13",
                "Remarks": null
            }
        ]
    }
}
```