##### 简要描述

- 该接口用于实现管理新增、更新、删除访客预约车记录

##### 服务端发布主题

- 请参考软件所填的MQTT订阅主题

##### 服务端发布给软件的参数

	注：Route 值 为   ReserveCarNotice
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ParkKey|body|string| yes | 停车场编号|本地停车场编号|
| AppId|body|string| yes | 应用服务标识|本地停车场应用服务标识|
| TimeStamp|body|string| yes | 时间戳|时间戳13位，精确到毫秒|
| Nonce|body|string| yes | 随机字符串|随机字符串|
| RequestId|body|string| yes | 请求序号标识|每一次进行接口请求时，响应时与本次请求的标识一致，不能重复和传固定值|
| Sign|body|string| yes | 接口签名|接口签名|
| Route|body|string| yes | 操作路由|操作路由|
| Data|body|object| yes | 具体数据|对应接口发送的数据对象|
|» NoticeType|body|integer| yes | 通知类型|通知类型：0.新增或更新 1.删除|
|» Items|body|[object]¦null| yes | 新增数据集合|新增数据集合|
|»» No|body|string| yes | 记录编号|表示当前记录的编号，唯一值|
|»» LicensePlateNumber|body|string¦null| yes | 车牌号码|车牌号码，注意，车牌号码入参时，默认都转换成大写|
|»» OrderNo|body|string¦null| yes | 平台预约订单号|平台预约订单号|
|»» StartTime|body|string¦null| yes | 开始时间|开始时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» EndTime|body|string¦null| yes | 结束时间|结束时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» OwnerName|body|string¦null| yes | 预约车主姓名|预约车主姓名|
|»» PhoneNumber|body|string¦null| yes | 车主手机号码|车主手机号码|
|»» Remarks|body|string¦null| yes | 备注信息|备注信息|
|»» UseSpace|body|boolean¦null| yes | 是否占用车位|是否占用车位|
|»» PersonNumber|body|integer¦null| yes | 同行人数|同行人数|
|»» CreationTime|body|string¦null| yes | 创建时间|创建数据的时间|
|»» OperatorName|body|string¦null| yes | 操作人姓名|操作人姓名|
|»» VehicleTypeNo|body|string¦null| yes | 车辆类型编号|车辆类型编号|
|»» ParkingCardTypeNo|body|string¦null| yes | 车牌类型编号|车牌类型编号|

##### 请求示例
```
{
  "ParkKey": "{{parkkey}}",
  "AppId": "{{appid}}",
  "TimeStamp": "{{timestamp}}",
  "Nonce": "wonlraifsawf",
  "Sign": "ebtgmzloyhxfnbgsxjdoycnr",
  "RequestId":"1710898443",
  "Route":"ReserveCarNotice",
  "Data": {
        "NoticeType": 0,
        "Items": [
            {
                "No": "430000201705111234",
                "LicensePlateNumber": "粤L12345",
                "OrderNo": "1668010507727935-L12345",
                "StartTime": "2024-03-19 17:55:00",
                "EndTime": "2024-03-19 18:55:00",
                "OwnerName": "段11",
                "PhoneNumber": "18112344444",
                "Remarks": "这是一个显眼的备注信息",
                "UseSpace": null,
                "PersonNumber": 5,
                "CreationTime": "2024-01-31 17:59:10",
                "OperatorName": "蒋22",
                "VehicleTypeNo": "1710773208079665",
                "ParkingCardTypeNo": "1710773208076978"
            }
        ]
    }
}
```
##### 软件回复主题

- 请参考软件所填的MQTT发布主题

##### 回复参数说明
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ResultCode|integer|true|none|请求结果代码|详细信息请查看类型枚举/请求结果代码枚举，默认200为操作成功|
| ResultMsg|string|true|none|请求提示信息|接口请求返回的信息提示|
| ResultId|string|true|none|请求响应结果标识|每一次进行接口请求时，响应本次处理的标识|
| Data|object¦null|false|none|具体数据|对应接口响应的数据对象|

##### 返回示例

```
{
    "ResultCode": 200,
    "ResultMsg": "本次新增或更新操作成功！",
    "ResultId": "1710898443"
}
```