##### 简要描述

- 该接口用于实现管理新增、更新、删除黑名单车辆

##### 服务端发布主题

- 请参考软件所填的MQTT订阅主题

##### 服务端发布给软件的参数

	注：Route 值 为   BlackListNotice
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ParkKey|body|string| yes | 停车场编号|本地停车场编号|
| AppId|body|string| yes | 应用服务标识|本地停车场应用服务标识|
| TimeStamp|body|string| yes | 时间戳|时间戳13位，精确到毫秒|
| Nonce|body|string| yes | 随机字符串|随机字符串|
| RequestId|body|string| yes | 请求序号标识|每一次进行接口请求时，响应时与本次请求的标识一致，不能重复和传固定值|
| Sign|body|string| yes | 接口签名|接口签名|
| Route|body|string| yes | 操作路由|操作路由|
| Data|body|object| yes | 具体数据|对应接口发送的数据对象|
|» NoticeType|body|integer| yes | 通知类型|通知类型：0.新增或更新 1.删除|
|» Items|body|[object]| yes | 通知数据集合|通知数据集合|
|»» No|body|string| yes | 记录编号|表示当前记录的编号，唯一值|
|»» LicensePlateNumber|body|string¦null| yes | 车牌号码|车牌号码，注意，车牌号码入参时，默认都转换成大写|
|»» OwnerName|body|string¦null| yes | 车主名称|发行车辆记录的车主名称|
|»» PhoneNumber|body|string¦null| yes | 手机号码|手机号码|
|»» StartTime|body|string¦null| yes | 开始时间|开始时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» EndTime|body|string¦null| yes | 结束时间|结束时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» Remarks|body|string¦null| yes | 备注信息|备注信息|
|»» CreationTime|body|string¦null| yes | 创建时间|创建数据的时间|
|»» OperatorName|body|string¦null| yes | 操作人姓名|操作人姓名|

##### 请求示例
```
{
  "ParkKey": "{{parkkey}}",
  "AppId": "{{appid}}",
  "TimeStamp": "{{timestamp}}",
  "Nonce": "njqpjrrqttbv",
  "Sign": "fpcbsprsturqkkducxsxeqlf",
  "RequestId":"1710898450",
  "Route":"BlackListNotice",
   "Data": {
        "NoticeType": 0,
        "Items": [
            {
                "No": "1234567890",
                "LicensePlateNumber": "粤B12345",
                "OwnerName": "",
                "PhoneNumber": "",
                "StartTime": "2024-01-10 08:12:14",
                "EndTime": "2024-01-10 08:12:14",
                "Remarks": "这是一个显眼的备注信息",
                "CreationTime": "2024-01-10 08:12:14",
                "OperatorName": ""
            }
        ]
    }
}
```
##### 软件回复主题

- 请参考软件所填的MQTT发布主题

##### 回复参数说明
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ResultCode|integer|true|none|请求结果代码|详细信息请查看类型枚举/请求结果代码枚举，默认200为操作成功|
| ResultMsg|string|true|none|请求提示信息|接口请求返回的信息提示|
| ResultId|string|true|none|请求响应结果标识|每一次进行接口请求时，响应本次处理的标识|
| Data|object¦null|false|none|具体数据|对应接口响应的数据对象|

##### 返回示例

```
{
    "ResultCode": 200,
    "ResultMsg": "本次新增或更新操作成功！",
    "ResultId": "1710898450"
}
```