##### 简要描述

- 该接口用于实现管理优惠券方案的新增，删除和变更

##### 服务端发布主题

- 请参考软件所填的MQTT订阅主题

##### 服务端发布给软件的参数

	注：Route 值 为   CouponSchemeNotice
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ParkKey|body|string| yes | 停车场编号|本地停车场编号|
| AppId|body|string| yes | 应用服务标识|本地停车场应用服务标识|
| TimeStamp|body|string| yes | 时间戳|时间戳13位，精确到毫秒|
| Nonce|body|string| yes | 随机字符串|随机字符串|
| RequestId|body|string| yes | 请求序号标识|每一次进行接口请求时，响应时与本次请求的标识一致，不能重复和传固定值|
| Sign|body|string| yes | 接口签名|接口签名|
| Route|body|string| yes | 操作路由|操作路由|
| Data|body|object| yes | 具体数据|对应接口发送的数据对象|
|» NoticeType|body|integer| yes | 通知类型|通知类型：0.新增或更新 1.删除|
|» Items|body|[object]| yes | 通知数据集合|通知数据集合|
|»» No|body|string| yes | 记录编号|表示当前记录的编号，唯一值|
|»» Name|body|string¦null| yes | 优惠劵方案名称|优惠劵方案名称|
|»» Type|body|string¦null| yes | 优惠劵打折类型|优惠劵打折类型（101优惠金额,102优惠时长,103优惠比例,104免费到指定时间）|
|»» Amount|body|number¦null| yes | 优惠金额类型时优惠的金额|优惠金额类型时优惠的金额（单位：元）|
|»» Duration|body|number| yes | 优惠时长类型时优惠的时长|优惠时长类型时优惠的时长（单位：分钟）|
|»» Ratio|body|number| yes | 优惠打折类型时优惠的比例|优惠打折类型时优惠的比例|
|»» VaildTime|body|string| yes | 免费到指定时间|免费到指定时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|»» Enable|body|integer| yes | 是否启用优惠劵方案|是否启用优惠劵方案，0-不启用 1-启用|
|»» Scene|body|integer| yes | 优惠劵方案使用场景|优惠劵方案使用场景，0-只用于场内打折,1-只用于出口打折,2-出口与场内打折|
|»» CreationTime|body|string| yes | 创建时间|创建数据的时间|
|»» OperatorName|body|string¦null| yes | 操作人姓名|操作人姓名|


##### 请求示例
```
{
  "ParkKey": "{{parkkey}}",
  "AppId": "{{appid}}",
  "TimeStamp": "{{timestamp}}",
  "Nonce": "txhpxoejibex",
  "Sign": "iaeribeixheiymzgbpjkmprs",
  "RequestId":"1710898772",
  "Route":"CouponSchemeNotice",
  "Data": {
        "NoticeType": 0,
        "Items": [
            {
                "No": "710000197308123736",
                "Name": "更22",
                "Type": "101",
                "Amount": 10,
                "Duration": 77,
                "Ratio": 63,
                "VaildTime": "2024-02-27 11:01:44",
                "Enable": 98,
                "Scene": 1,
                "CreationTime": "2024-02-27 11:01:44",
                "OperatorName": "赖111"
            }
        ]
    }
}
```
##### 软件回复主题

- 请参考软件所填的MQTT发布主题

##### 回复参数说明
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ResultCode|integer|true|none|请求结果代码|详细信息请查看类型枚举/请求结果代码枚举，默认200为操作成功|
| ResultMsg|string|true|none|请求提示信息|接口请求返回的信息提示|
| ResultId|string|true|none|请求响应结果标识|每一次进行接口请求时，响应本次处理的标识|
| Data|object¦null|false|none|具体数据|对应接口响应的数据对象|

##### 返回示例

```
{
    "ResultCode": 200,
    "ResultMsg": "本次新增或更新操作成功！",
    "ResultId": "1710898772"
}
```