##### 简要描述

- 该接口用于实现管理通知缴费信息下发给到软件。
- 需要实现场内支付和出口支付，出口收到通知后，执行开闸。注：支付订单编号，不能重复，重复的情况下，会返回支付订单已经再处理中！

##### 服务端发布主题

- 请参考软件所填的MQTT订阅主题

##### 服务端发布给软件的参数

	注：Route 值 为   PaySuccess
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ParkKey|body|string| yes | 停车场编号|本地停车场编号|
| AppId|body|string| yes | 应用服务标识|本地停车场应用服务标识|
| TimeStamp|body|string| yes | 时间戳|时间戳13位，精确到毫秒|
| Nonce|body|string| yes | 随机字符串|随机字符串|
| RequestId|body|string| yes | 请求序号标识|每一次进行接口请求时，响应时与本次请求的标识一致，不能重复和传固定值|
| Sign|body|string| yes | 接口签名|接口签名|
| Route|body|string| yes | 操作路由|操作路由|
| Data|body|object| yes | 具体数据|对应接口发送的数据对象|
|» OrderNo|body|string| yes | 停车订单|车辆入场时创建的唯一停车订单|
|» TotalAmountDue|body|number| yes | 应支付总金额|应支付总金额，单位元，精确到后两位小数点|
|» TotalAmountPaid|body|number| yes | 实收总金额 |实收总金额  ，单位元，精确到后两位小数点|
|» DiscountAmount|body|number| yes | 优惠金额 |优惠金额  ，单位元，精确到后两位小数点|
|» PaymentTime|body|string| yes | 支付时间|支付时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|» PaymentMethod|body|string| yes | 支付方式编号|详细请看类型枚举/支付方式枚举信息|
|» PaymentOrderNo|body|string| yes | 支付订单编号|支付订单编号|
|» Remarks|body|string¦null| yes | 备注信息|备注信息|
|» PlateCouponNos|body|[object]| yes | 已经使用的车牌优惠券集合|已经使用的车牌优惠券集合|
|»» No|body|string| yes | 优惠券编号|优惠券编号|


##### 请求示例
```
{
  "ParkKey": "{{parkkey}}",
  "AppId": "{{appid}}",
  "TimeStamp": "{{timestamp}}",
  "Nonce": "pwuevwczmoii",
  "Sign": "rgssoqurdficlmulludwnluy",
  "RequestId":"1710898792",
  "Route":"PaySuccess",
  "Data": {
	  "OrderNo": "1710778995086636-F0G7W0",
	  "TotalAmountDue": 5,
	  "TotalAmountPaid": 4,
	  "DiscountAmount": 1,
	  "PaymentTime": "2024-02-27 11:58:31",
	  "PaymentMethod": "79024",
	  "PaymentOrderNo": "5200001986033395",
	  "Remarks": "这是一个显眼的备注信息",
	  "PlateCouponNos": [{
			}]
    	}
}
```
##### 软件回复主题

- 请参考软件所填的MQTT发布主题

##### 回复参数说明
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ResultCode|integer|true|none|请求结果代码|详细信息请查看类型枚举/请求结果代码枚举，默认200为操作成功|
| ResultMsg|string|true|none|请求提示信息|接口请求返回的信息提示|
| ResultId|string|true|none|请求响应结果标识|每一次进行接口请求时，响应本次处理的标识|
| Data|object¦null|false|none|具体数据|对应接口响应的数据对象|

##### 返回示例

```
{
    "ResultCode": 200,
    "ResultMsg": "支付成功！",
    "ResultId": "1710898792"
}
```