##### 简要描述

- 该接口用于实现无牌车入场时调用该接口创建无牌车入场记录，返回停车订单号。

##### 服务端发布主题

- 请参考软件所填的MQTT订阅主题

##### 服务端发布给软件的参数

	注：Route 值 为   CreateNoPlate
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ParkKey|body|string| yes | 停车场编号|本地停车场编号|
| AppId|body|string| yes | 应用服务标识|本地停车场应用服务标识|
| TimeStamp|body|string| yes | 时间戳|时间戳13位，精确到毫秒|
| Nonce|body|string| yes | 随机字符串|随机字符串|
| RequestId|body|string| yes | 请求序号标识|每一次进行接口请求时，响应时与本次请求的标识一致，不能重复和传固定值|
| Sign|body|string| yes | 接口签名|接口签名|
| Route|body|string| yes | 操作路由|操作路由|
| Data|body|object| yes | 具体数据|对应接口发送的数据对象|
|» LicensePlateNumber|body|string| yes | 车牌号码|车牌号码，无牌车入场的虚拟号码，最好不是真车牌|
|» EntryTime|body|string| yes | 入场时间|入场时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|» VehicleTypeNo|body|string¦null| yes | 车辆类型编号|车辆类型编号|
|» ParkingCardTypeNo|body|string| yes | 车牌类型编号|车牌类型编号|
|» LaneNo|body|string| yes | 入场的车道编号|入场的车道编号|
|» OperatorName|body|string¦null| yes | 操作人姓名|操作人姓名|
|» Remarks|body|string¦null| yes | 备注信息|备注信息|


##### 请求示例
```
{
  "ParkKey": "{{parkkey}}",
  "AppId": "{{appid}}",
  "TimeStamp": "{{timestamp}}",
  "Nonce": "okulfmutapcl",
  "Sign": "uxhrbhycphdtruhvlqosicvc",
  "RequestId":"1710898816",
  "Route":"CreateNoPlate",
  "Data": {
        "LicensePlateNumber": "无Y88YY55",
        "EntryTime": "2024-03-20 08:06:46",
        "VehicleTypeNo": "1710773208079665",
        "ParkingCardTypeNo": "1710773208076996",
        "LaneNo": "1",
        "Remarks": "这是一个显眼的备注信息"
    }
}
```
##### 软件回复主题

- 请参考软件所填的MQTT发布主题

##### 回复参数说明
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ResultCode|integer|true|none|请求结果代码|详细信息请查看类型枚举/请求结果代码枚举，默认200为操作成功|
| ResultMsg|string|true|none|请求提示信息|接口请求返回的信息提示|
| ResultId|string|true|none|请求响应结果标识|每一次进行接口请求时，响应本次处理的标识|
| Data|object¦null|false|none|具体数据|对应接口响应的数据对象|
|» OrderNo|string¦null|true|none|停车订单|车辆入场时创建的唯一停车订单|

##### 返回示例

```
{
    "ResultCode": 200,
    "ResultMsg": "无牌车确认入场成功(已开闸)！",
    "ResultId": "1710898816",
    "Data": {
        "OrderNo": "1762358795516805120-A887755"
    }
}
```