##### 简要描述

- 该接口用于实现当车辆识别后，车主寻求平台帮助，第三方平台可以对该车牌进行出口修改价格
- 修改的金额只能小于车道弹出窗口的金额

##### 服务端发布主题

- 请参考软件所填的MQTT订阅主题

##### 服务端发布给软件的参数

	注：Route 值 为   ModifyLaneOrderMoney
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ParkKey|body|string| yes | 停车场编号|本地停车场编号|
| AppId|body|string| yes | 应用服务标识|本地停车场应用服务标识|
| TimeStamp|body|string| yes | 时间戳|时间戳13位，精确到毫秒|
| Nonce|body|string| yes | 随机字符串|随机字符串|
| RequestId|body|string| yes | 请求序号标识|每一次进行接口请求时，响应时与本次请求的标识一致，不能重复和传固定值|
| Sign|body|string| yes | 接口签名|接口签名|
| Route|body|string| yes | 操作路由|操作路由|
| Data|body|object| yes | 具体数据|对应接口发送的数据对象|
|» OrderNo|body|string¦null| 是 | 停车订单|车辆入场时创建的唯一停车订单；|
|» LaneNo|body|string| 是 | 车道编号|车道编号|
|» Money|body|integer| 是 | 准备修改成的车道金额|准备修改成的车道金额，单位：分|


##### 请求示例
```
{
  "ParkKey": "{{parkkey}}",
  "AppId": "{{appid}}",
  "TimeStamp": "{{timestamp}}",
  "Nonce": "bmvyiatdsyyr",
  "Sign": "kofdjoiwxojgejysxkvbdcox",
  "RequestId":"1710898823",
  "Route":"ModifyLaneOrderMoney",
  "Data": {
        "OrderNo": "1710778213036394-FF8888",
        "LaneNo": "2",
        "Money": 15
    }
}
```
##### 软件回复主题

- 请参考软件所填的MQTT发布主题

##### 回复参数说明
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ResultCode|integer|true|none|请求结果代码|详细信息请查看类型枚举/请求结果代码枚举，默认200为操作成功|
| ResultMsg|string|true|none|请求提示信息|接口请求返回的信息提示|
| ResultId|string|true|none|请求响应结果标识|每一次进行接口请求时，响应本次处理的标识|
| Data|object¦null|false|none|具体数据|对应接口响应的数据对象|

##### 返回示例

```
{
    "ResultCode": 200,
    "ResultMsg": "更新缴费金额成功！",
    "ResultId": "1710898823"
}
```