##### 简要描述

- 该接口用于实现修改回调参数
- Data数组中的Index对应回调接口枚举中的序号，请根据需求设置需要回调的接口，不在数组中的序号默认为不回调，Url地址为空则也默认不回调，接口安全规范请参考接口鉴权

##### 服务端发布主题

- 请参考软件所填的MQTT订阅主题

##### 服务端发布给软件的参数

	注：Route 值 为   SetCallbackParams
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ParkKey|body|string| yes | 停车场编号|本地停车场编号|
| AppId|body|string| yes | 应用服务标识|本地停车场应用服务标识|
| TimeStamp|body|string| yes | 时间戳|时间戳13位，精确到毫秒|
| Nonce|body|string| yes | 随机字符串|随机字符串|
| RequestId|body|string| yes | 请求序号标识|每一次进行接口请求时，响应时与本次请求的标识一致，不能重复和传固定值|
| Sign|body|string| yes | 接口签名|接口签名|
| Route|body|string| yes | 操作路由|操作路由|
| Data|body|object| yes | 具体数据|对应接口发送的数据对象|
|» Index|body|integer| no | 回调接口枚举序号|详细请看类型枚举/回调接口枚举|
|» Url|body|string| no | 回调接口地址|该枚举序号接口的回调地址，不填写则该回调不启用|
|» Interval|body|integer| yes | 处理回调数据间隔|处理回调数据间隔，单位：毫秒 ，间隔必须大于等于200ms，小于等于600000ms(10分钟)|

##### 请求示例
```
{
  "ParkKey": "{{parkkey}}",
  "AppId": "{{appid}}",
  "TimeStamp": "{{timestamp}}",
  "Nonce": "lywdcmlyknfi",
  "Sign": "qjlmvfuavzxitspehfftxyuf",
  "RequestId":"1710898830",
  "Route":"SetCallbackParams",
  "Data": [
        {
            "Index": 4,
            "Url": "http://192.168.22.247:8080",
            "Interval": 1000
        }
    ]
}
```
##### 软件回复主题

- 请参考软件所填的MQTT发布主题

##### 回复参数说明
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ResultCode|integer|true|none|请求结果代码|详细信息请查看类型枚举/请求结果代码枚举，默认200为操作成功|
| ResultMsg|string|true|none|请求提示信息|接口请求返回的信息提示|
| ResultId|string|true|none|请求响应结果标识|每一次进行接口请求时，响应本次处理的标识|
| Data|object¦null|false|none|具体数据|对应接口响应的数据对象|

##### 返回示例

```
{
    "ResultCode": 200,
    "ResultMsg": "操作成功",
    "ResultId": "1710898830"
}
```