##### 简要描述

- 第三方停车业务接收月租车发行回调通知接口定义规范
- 如果未实现该接口，请不要在设置回调参数中启用该接口，避免无意义的数据通知操作！

##### 示例URL

- ` {{第三方URL}}，示例URL：http://localhost:8888/API/V2/OnSubscribedVehicle `

	
	注：此处url指的是软件回调给第三方的URL，即第三方要接收软件上传数据的地址；

##### 软件请求回调方式
- POST 

##### 软件请求回调请求类型
- Content-Type：application/json 

##### 软件回调参数说明

------------
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ParkKey|body|string| yes | 停车场编号|本地停车场编号|
| AppId|body|string| yes | 应用服务标识|本地停车场应用服务标识|
| TimeStamp|body|string| yes | 时间戳|时间戳13位，精确到毫秒|
| Nonce|body|string| yes | 随机字符串|随机字符串|
| Sign|body|string| yes | 接口签名|按照接口鉴权生成的签名|
| Data|body|object| yes | 具体数据|对应接口发送的数据对象|
|» LicensePlateNumber|body|string¦null| yes | 车牌号码|车牌号码，注意，车牌号码入参时，默认都转换成大写|
|» OwnerNo|body|string¦null| yes | 车主编号|记录车主的唯一标识编号|
|» OwnerName|body|string¦null| yes | 车主名称|发行车辆记录的车主名称|
|» OwnerParkingSpaceCount|body|integer| yes | 车主车位数|车主车位数|
|» StartTime|body|string¦null| yes | 开始时间|开始时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|» EndTime|body|string¦null| yes | 结束时间|结束时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|» StoredVehicleBalance|body|number| yes | 储值车余额|储值车余额，单位元，精确到后两位小数点|
|» VehicleTypeNo|body|string¦null| yes | 车辆类型编号|车辆类型编号|
|» VehicleTypeName|body|string¦null| yes | 车辆类型名称|车辆类型名称|
|» ParkingCardTypeNo|body|string¦null| yes | 车牌类型编号|车牌类型编号|
|» ParkingCardTypeName|body|string¦null| yes | 车牌类型名称|车牌类型名称|
|» CreationTime|body|string| yes | 添加时间|添加时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|» ResidentialAddress|body|string| yes | 居住地址|居住地址|
|» PhoneNumber|body|string| yes | 手机号码|手机号码|
|» Remarks|body|string¦null| yes | 备注信息|备注信息|
|» OperatorName|body|string¦null| yes | 操作人姓名|操作人姓名|

##### 回调参数示例
```
{
	"ParkKey":"1709368233332675",
	"AppId":"0uy5t2d6",
	"TimeStamp":"1709340756784",
	"Data":{
		"LicensePlateNumber":"粤YZC111",
		"OwnerNo":"1709369531803221",
		"OwnerName":"",
		"OwnerParkingSpaceCount":1,
		"StartTime":"2024-03-02 00:00:00",
		"EndTime":"2024-04-01 23:59:59",
		"StoredVehicleBalance":0.00,
		"VehicleTypeNo":"1709368233358398",
		"VehicleTypeName":"蓝牌车",
		"ParkingCardTypeNo":"1709368233355893",
		"ParkingCardTypeName":"月租车A",
		"CreationTime":"2024-03-02 08:52:11",
		"ResidentialAddress":"",
		"PhoneNumber":"",
		"Remarks":"",
		"OperatorName":"超级管理员"
		},
	"Nonce":"1763729083999485952",
	"Sign":"2cdo+3beb8v2rakxejiyiolachbksrgafa4m60z9qqq="
}
```

##### 回调返回说明
| 参数               | 类型                | 参数名               | 是否必填 | 描述                                                         |
| ------------------ | ------------------- | -------------------- | -------- | ------------------------------------------------------------ |
| ResultCode|integer|true|none|请求结果代码|详细信息请查看类型枚举/请求结果代码枚举，默认200为操作成功|
| ResultMsg|string|true|none|请求提示信息|接口请求返回的信息提示|
| Data|object¦null|false|none|具体数据|对应接口响应的数据对象|

##### 返回示例

```
{
  "ResultCode": 200,
  "ResultMsg": "操作成功"
}
```