##### 简要描述

- 第三方停车业务接收违约预约车信息回调通知接口定义规范
- 每天凌晨定时检测，非实时检测，当凌晨检测后，车辆在规定时间内未入场时，则判断该车辆预约违约！
- 如果未实现该接口，请不要在设置回调参数中启用该接口，避免无意义的数据通知操作！


	注：该接口在2.3.2版本才支持

##### 示例URL
- ` {{第三方URL}}，示例URL：http://localhost:8888/API/V2/OnViolationCar `

	
	注：此处url指的是软件回调给第三方的URL，即第三方要接收软件上传数据的地址；

##### 软件请求回调方式
- POST 

##### 软件请求回调请求类型
- Content-Type：application/json 

##### 软件回调参数说明


------------
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ParkKey|body|string| yes | 停车场编号|本地停车场编号|
| AppId|body|string| yes | 应用服务标识|本地停车场应用服务标识|
| TimeStamp|body|string| yes | 时间戳|时间戳13位，精确到毫秒|
| Nonce|body|string| yes | 随机字符串|随机字符串|
| Sign|body|string| yes | 接口签名|按照接口鉴权生成的签名|
| Data|body|object| yes | 具体数据|对应接口发送的数据对象|
|» No|body|string| yes | 记录编号|表示当前记录的编号，唯一值|
|» LicensePlateNumber|body|string¦null| yes | 车牌号码|车牌号码，注意，车牌号码入参时，默认都转换成大写|

##### 回调参数示例
```
{
	"ParkKey":"1710773208049923",
	"AppId":"vzpt9htl",
	"TimeStamp":"1710874092927",
	"Data":{
		"No":"1668010507727935-B12345",
		"LicensePlateNumber":"粤B12345"
		},
	"Nonce":"1770160361917415425",
	"Sign":"6y2j/6mwiszgpolz4kuft+sthagzk56ddnmil/pwm4a=",
	"RequestId":"1770160361917415424"
}
```

##### 服务端返回软件说明
| 参数               | 类型                | 参数名               | 是否必填 | 描述                                                         |
| ------------------ | ------------------- | -------------------- | -------- | ------------------------------------------------------------ |
| ResultCode|integer|true|none|请求结果代码|详细信息请查看类型枚举/请求结果代码枚举，默认200为操作成功|
| ResultMsg|string|true|none|请求提示信息|接口请求返回的信息提示|
| Data|object¦null|false|none|具体数据|对应接口响应的数据对象|

##### 返回示例

```
{
  "ResultCode": 200,
  "ResultMsg": "操作成功"
}
```