##### 简要描述

- 第三方停车业务接收黑名单信息变动回调通知接口定义规范
- 如果未实现该接口，请不要在设置回调参数中启用该接口，避免无意义的数据通知操作！

##### 示例URL
- ` {{第三方URL}}，示例URL：http://localhost:8888/API/V2/OnUnsubscribedVehicle `

	
	注：此处url指的是软件回调给第三方的URL，即第三方要接收软件上传数据的地址；

##### 软件请求回调方式
- POST 

##### 软件请求回调请求类型
- Content-Type：application/json 

##### 软件回调参数说明


------------
| 参数           | 类型               | 参数名         | 是否必填 | 描述       | 说明                                     |
| -------------- | ------------------ | -------------- | -------- | ------------------------------------------- |------------------ |
| ParkKey|body|string| yes | 停车场编号|本地停车场编号|
| AppId|body|string| yes | 应用服务标识|本地停车场应用服务标识|
| TimeStamp|body|string| yes | 时间戳|时间戳13位，精确到毫秒|
| Nonce|body|string| yes | 随机字符串|随机字符串|
| Sign|body|string| yes | 接口签名|按照接口鉴权生成的签名|
| Data|body|object| yes | 具体数据|对应接口发送的数据对象|
|» LicensePlateNumber|body|string¦null| yes | 车牌号码|车牌号码，注意，车牌号码入参时，默认都转换成大写|
|» OwnerName|body|string¦null| yes | 车主名称|发行车辆记录的车主名称|
|» PhoneNumber|body|string| yes | 手机号码|手机号码|
|» StartTime|body|string¦null| yes | 开始时间|开始时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|» EndTime|body|string¦null| yes | 结束时间|结束时间，参考基本规则中的日期格式，精确到秒，如：2023-08-01 09:34:51|
|» CreationTime|body|string| yes | 创建时间|创建数据的时间|
|» OperatorName|body|string¦null| yes | 操作人姓名|操作人姓名|
|» Remarks|body|string¦null| yes | 备注信息|备注信息|
|» Status|body|integer| yes | 黑名单信息|黑名单信息|

##### 回调参数示例
```
{
	"ParkKey":"1708773681705596",
	"AppId":"p226uwb3",
	"TimeStamp":"1708971460397",
	"Data":{
		"LicensePlateNumber":"粤GFD332",
		"OwnerName":"fd",
		"PhoneNumber":"",
		"StartTime":"2024-02-28 00:00:00",
		"EndTime":"2024-02-28 00:00:00",
		"CreationTime":"2024-02-27 02:17:39",
		"Remarks":"fsds",
		"OperatorName":"超级管理员",
		"Status":1
		},
	"Nonce":"1762180142686306304",
	"Sign":"7fjq5f2bi6xgi5inn9bfr/mg161wxl55ilm49nor+pu="
}
```

##### 服务端返回软件说明
| 参数               | 类型                | 参数名               | 是否必填 | 描述                                                         |
| ------------------ | ------------------- | -------------------- | -------- | ------------------------------------------------------------ |
| ResultCode|integer|true|none|请求结果代码|详细信息请查看类型枚举/请求结果代码枚举，默认200为操作成功|
| ResultMsg|string|true|none|请求提示信息|接口请求返回的信息提示|
| Data|object¦null|false|none|具体数据|对应接口响应的数据对象|

##### 返回示例

```
{
  "ResultCode": 200,
  "ResultMsg": "操作成功"
}
```